Debian Bug report logs - #661151
linux-2.6: lacks AppArmor kernel/userspace interface

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: intrigeri@debian.org

Date: Fri, 24 Feb 2012 15:21:02 UTC

Severity: wishlist

Tags: pending, upstream

Found in version 3.2.6-1

Fixed in version linux-2.6/3.2.19-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Fri, 24 Feb 2012 15:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri@debian.org:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Feb 2012 15:21:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: intrigeri@debian.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Fri, 24 Feb 2012 16:16:03 +0100
Package: linux-2.6
Version: 3.2.6-1
Severity: wishlist
Tags: upstream

Hi,

we now have AppArmor enabled in the Debian kernels. This is great.
Thank you for enabling it. This made it possible to start an
effort [1] towards having some kind of minimal AppArmor support
in Wheezy.

One of the major things that make AppArmor rather troublesome to use
in production (in the version that was upstreamed) is the lack of the
"legacy interface" patch; that patch is carried e.g. by Ubuntu, but
not upstreamed yet.

The lack of this patch means that network mediation does not work at
all, and that profile states cannot be queried; e.g. aa-status and
aa-genprof are totally unusable as is. Kees Cook and others have been
working on building the new interface for the kernel, but they tell me
it is slow-going.

As of today, I'm not asking the Debian kernel team to carry this patch
(well, if you want to, I won't complain ;). The purpose of this bug
report is rather to allow us to mark other bugs, reported against the
AppArmor userspace tools, as blocked by the lack of kernel support.

  [1] http://lists.debian.org/debian-derivatives/2012/02/msg00009.html

Cheers,
--
  intrigeri




Added indication that bug 661151 blocks 653592 Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 24 Feb 2012 15:27:05 GMT) Full text and rfc822 format available.

Added indication that bug 661151 blocks 661153 Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 24 Feb 2012 15:45:03 GMT) Full text and rfc822 format available.

Added indication that bug 661151 blocks 661154 Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 24 Feb 2012 15:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Fri, 24 Feb 2012 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Feb 2012 16:09:04 GMT) Full text and rfc822 format available.

Message #16 received at 661151@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: intrigeri@debian.org, 661151@bugs.debian.org
Subject: Re: Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Fri, 24 Feb 2012 16:06:16 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2012-02-24 at 16:16 +0100, intrigeri@debian.org wrote:
> Package: linux-2.6
> Version: 3.2.6-1
> Severity: wishlist
> Tags: upstream
> 
> Hi,
> 
> we now have AppArmor enabled in the Debian kernels. This is great.
> Thank you for enabling it. This made it possible to start an
> effort [1] towards having some kind of minimal AppArmor support
> in Wheezy.
> 
> One of the major things that make AppArmor rather troublesome to use
> in production (in the version that was upstreamed) is the lack of the
> "legacy interface" patch; that patch is carried e.g. by Ubuntu, but
> not upstreamed yet.
[...]

Where can I find the patch?

Ben.

-- 
Ben Hutchings
If at first you don't succeed, you're doing about average.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Fri, 24 Feb 2012 16:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Feb 2012 16:42:06 GMT) Full text and rfc822 format available.

Message #21 received at 661151@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Kees Cook <kees@debian.org>, apparmor@lists.ubuntu.com
Cc: 661151@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Fri, 24 Feb 2012 17:40:38 +0100
Ben Hutchings wrote (24 Feb 2012 16:06:16 GMT) :
> Where can I find the patch?

Kees and Ubuntu AppArmor developers: can you please confirm the
patches that the Debian kernel team should consider for supporting the
AppArmor "legacy interface" would be the ones found in the
kernel-patches/$LATEST/ directory of the apparmor 2.7.x tarball?

Or have you got updated patches, e.g. for Linux 3.2.x, published
somewhere to be found?

Thanks,
-- 
  intrigeri




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Tue, 13 Mar 2012 16:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Johansen <john.johansen@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 13 Mar 2012 16:36:05 GMT) Full text and rfc822 format available.

Message #26 received at 661151@bugs.debian.org (full text, mbox):

From: John Johansen <john.johansen@canonical.com>
To: intrigeri <intrigeri@debian.org>
Cc: Kees Cook <kees@debian.org>, apparmor@lists.ubuntu.com, Ben Hutchings <ben@decadent.org.uk>, 661151@bugs.debian.org
Subject: Re: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Tue, 13 Mar 2012 09:33:53 -0700
On 02/24/2012 08:40 AM, intrigeri wrote:
> Ben Hutchings wrote (24 Feb 2012 16:06:16 GMT) :
>> Where can I find the patch?
> 
> Kees and Ubuntu AppArmor developers: can you please confirm the
> patches that the Debian kernel team should consider for supporting the
> AppArmor "legacy interface" would be the ones found in the
> kernel-patches/$LATEST/ directory of the apparmor 2.7.x tarball?
> 
> Or have you got updated patches, e.g. for Linux 3.2.x, published
> somewhere to be found?
> 
sorry I missed this,

yes you can pull them out of the tarball, or from the ubuntu kernel
tree.

You will also be able to pull them from the git tree at
git://git.kernel.org/pub/scm/linux/kernel/git/jj/linux-apparmor.git

though I still need to restore them as the tree got wiped after the
kernel.org breakin.

There are also a new set of patches available against the 3.3 kernel.
The static parts of the interface have been updated and pushed into
the 3.4 kernel.  And the goal is to get the other part into the 3.5
kernel (still a wip).  Though those will require a more recent userspace.

If someone will let me know what is desired I will set up a tree with
patches pre-applied.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Wed, 14 Mar 2012 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 14 Mar 2012 10:27:04 GMT) Full text and rfc822 format available.

Message #31 received at 661151@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, John Johansen <john.johansen@canonical.com>
Cc: 661151@bugs.debian.org, Kees Cook <kees@debian.org>, apparmor@lists.ubuntu.com
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Wed, 14 Mar 2012 11:24:53 +0100
Hi,

John Johansen wrote (13 Mar 2012 16:33:53 GMT) :
> sorry I missed this,

Thank you, John, for your answers :)

> yes you can pull them out of the tarball,

That would be 0002-AppArmor-compatibility-patch-for-v5-interface.patch
that can be found in the kernel-patches/$LATEST/ directory of the
apparmor Debian source package. Given $LATEST == 3.1 currently, see
bellow for the Ubuntu patches that were maybe refreshed.

John, do you confirm this patch does not depend on any of the
two others?

(namely:
0001-AppArmor-compatibility-patch-for-v5-network-controll.patch and
0003-AppArmor-Allow-dfa-backward-compatibility-with-broke.patch)

> or from the ubuntu kernel tree.

I guess that would be
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-precise.git;a=commit;h=56f928f0cbf810c047a9a72e4e5c4840800437ec

John, please correct me if I did not guess right.

> There are also a new set of patches available against the 3.3
> kernel. The static parts of the interface have been updated and
> pushed into the 3.4 kernel. And the goal is to get the other part
> into the 3.5 kernel (still a wip).

John: I guess the Linux 3.2 kernel shipped in Precise will carry those
patches, and this is why the v5 compat' patches got recently reverted
in Precise's kernel tree, right?

> Though those will require a more recent userspace.

John: that will be called 2.8, right?

Regards,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Wed, 14 Mar 2012 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Johansen <john.johansen@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 14 Mar 2012 10:39:04 GMT) Full text and rfc822 format available.

Message #36 received at 661151@bugs.debian.org (full text, mbox):

From: John Johansen <john.johansen@canonical.com>
To: intrigeri <intrigeri@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 661151@bugs.debian.org, Kees Cook <kees@debian.org>, apparmor@lists.ubuntu.com
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Wed, 14 Mar 2012 03:35:13 -0700
On 03/14/2012 03:24 AM, intrigeri wrote:
> Hi,
> 
> John Johansen wrote (13 Mar 2012 16:33:53 GMT) :
>> sorry I missed this,
> 
> Thank you, John, for your answers :)
> 
>> yes you can pull them out of the tarball,
> 
> That would be 0002-AppArmor-compatibility-patch-for-v5-interface.patch
> that can be found in the kernel-patches/$LATEST/ directory of the
> apparmor Debian source package. Given $LATEST == 3.1 currently, see
> bellow for the Ubuntu patches that were maybe refreshed.
> 
> John, do you confirm this patch does not depend on any of the
> two others?
> 
It does not but there may be a small conflict or two to resolve if
0001-AppArmor-compatibility-patch-for-v5-network-controll.patch is not
applied first.

If it doesn't apply cleanly I will be happy to update it for you.

> (namely:
> 0001-AppArmor-compatibility-patch-for-v5-network-controll.patch and
> 0003-AppArmor-Allow-dfa-backward-compatibility-with-broke.patch)
> 
>> or from the ubuntu kernel tree.
> 
> I guess that would be
> http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-precise.git;a=commit;h=56f928f0cbf810c047a9a72e4e5c4840800437ec
> 
> John, please correct me if I did not guess right.
> 
You are right

>> There are also a new set of patches available against the 3.3
>> kernel. The static parts of the interface have been updated and
>> pushed into the 3.4 kernel. And the goal is to get the other part
>> into the 3.5 kernel (still a wip).
> 
> John: I guess the Linux 3.2 kernel shipped in Precise will carry those
> patches, and this is why the v5 compat' patches got recently reverted
> in Precise's kernel tree, right?
> 
correct

>> Though those will require a more recent userspace.
> 
> John: that will be called 2.8, right?
> 
correct. The 2.8 userspace release will ship with precise and will be
compatible with both the older and newer kernel interfaces.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Wed, 14 Mar 2012 11:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 14 Mar 2012 11:21:04 GMT) Full text and rfc822 format available.

Message #41 received at 661151@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Kees Cook <kees@debian.org>, John Johansen <john.johansen@canonical.com>
Cc: 661151@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Wed, 14 Mar 2012 12:16:19 +0100
Hi,

John Johansen wrote (14 Mar 2012 10:35:13 GMT) :
>>> There are also a new set of patches available against the 3.3
>>> kernel. The static parts of the interface have been updated and
>>> pushed into the 3.4 kernel. And the goal is to get the other part
>>> into the 3.5 kernel (still a wip).

>> John: I guess the Linux 3.2 kernel shipped in Precise will carry
>> those patches, and this is why the v5 compat' patches got recently
>> reverted in Precise's kernel tree, right?
>> 
> correct

If the Debian kernel team was willing to carry some kind of AppArmor
kernel/userspace interface patch, I'm now unsure if the old or new
ones would be better suited. (I assume AppArmor 2.8 is released long
enough before the Wheezy freeze, so that we can ship it in there, and
are given this choice.)

On the one hand, the old compat' patches are confidence inspiring, as
they are small and have been shipped by Ubuntu for a while.

On the other hand, it seems the new patches are being upstreamed,
which makes them more appealing somehow than the older ones.

John, I think it would help if you could please point us more
precisely to the commits of the new interface that have been
upstreamed already, and to the ones that have not been, so that we can
get a rough idea of where things are at.

Kees, others, what do you think?

Regards,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | The impossible just takes a bit longer.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Wed, 30 May 2012 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to micah anderson <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 May 2012 15:09:07 GMT) Full text and rfc822 format available.

Message #46 received at 661151@bugs.debian.org (full text, mbox):

From: micah anderson <micah@riseup.net>
To: 661151@bugs.debian.org, Kees Cook <kees@debian.org>, John Johansen <john.johansen@canonical.com>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Wed, 30 May 2012 11:08:06 -0400
Hi all,

Its been 2 months without a reply on this issue, and we are getting
close to a freeze. Kees and John it looks like there are some pending
questions for you below, it would be great if you could chime in with
your opinons:

>If the Debian kernel team was willing to carry some kind of AppArmor
>kernel/userspace interface patch, I'm now unsure if the old or new
>ones would be better suited. (I assume AppArmor 2.8 is released long
>enough before the Wheezy freeze, so that we can ship it in there, and
>are given this choice.)
>
>On the one hand, the old compat' patches are confidence inspiring, as
>they are small and have been shipped by Ubuntu for a while.

My opinon: the 2.4 compat patch is tiny, and it works well, and has been
tested for some time, I think it makes the most sense to include this
one.

>On the other hand, it seems the new patches are being upstreamed,
>which makes them more appealing somehow than the older ones.

The newer patch is bigger, some of it must be backported from Linux 3.4,
some from Ubuntu, it is much less tested and I suspect because of that
will encounter much more resistance from Debian's kernel team to include
it. Presumably this will eventually be the one that will be upstreamed,
but it isn't there yet. This is why I think the 2.4 compat patch is the
way to go with Wheezy, when the newer patch is upstreamed that can be
swapped out then.

>John, I think it would help if you could please point us more
>precisely to the commits of the new interface that have been
>upstreamed already, and to the ones that have not been, so that we can
>get a rough idea of where things are at.
>
>Kees, others, what do you think?

micah

-- 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Wed, 30 May 2012 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Johansen <john.johansen@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 May 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #51 received at 661151@bugs.debian.org (full text, mbox):

From: John Johansen <john.johansen@canonical.com>
To: micah anderson <micah@riseup.net>
Cc: 661151@bugs.debian.org, Kees Cook <kees@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Wed, 30 May 2012 16:46:19 -0700
On 05/30/2012 08:08 AM, micah anderson wrote:
> 
> Hi all,
> 
> Its been 2 months without a reply on this issue, and we are getting
> close to a freeze. Kees and John it looks like there are some pending
> questions for you below, it would be great if you could chime in with
> your opinons:
> 
>> If the Debian kernel team was willing to carry some kind of AppArmor
>> kernel/userspace interface patch, I'm now unsure if the old or new
>> ones would be better suited. (I assume AppArmor 2.8 is released long
>> enough before the Wheezy freeze, so that we can ship it in there, and
>> are given this choice.)
>>
>> On the one hand, the old compat' patches are confidence inspiring, as
>> they are small and have been shipped by Ubuntu for a while.
> 
> My opinon: the 2.4 compat patch is tiny, and it works well, and has been
> tested for some time, I think it makes the most sense to include this
> one.
> 
probably, especially if you are looking to keep the patch as small as
possible

>> On the other hand, it seems the new patches are being upstreamed,
>> which makes them more appealing somehow than the older ones.
> 
> The newer patch is bigger, some of it must be backported from Linux 3.4,
> some from Ubuntu, it is much less tested and I suspect because of that
> will encounter much more resistance from Debian's kernel team to include
> it. Presumably this will eventually be the one that will be upstreamed,
> but it isn't there yet. This is why I think the 2.4 compat patch is the
> way to go with Wheezy, when the newer patch is upstreamed that can be
> swapped out then.
> 
yeah to clarify, half of the new interface went upstream in 3.4 and I can
provide a version of that that is backported but its a few patches and
not as small as the compat patch.  In addition to that you would need
a compatibility patch on top of that, that provides the features the
current upstream interface doesn't

>> John, I think it would help if you could please point us more
>> precisely to the commits of the new interface that have been
>> upstreamed already, and to the ones that have not been, so that we can
>> get a rough idea of where things are at.
>>
hrmmm, I think I missed answering this before

the upstream patches
9acd494be9387b0608612cd139967201dd7a4e12
e74abcf3359d0130e99a6511ac484a3ea9e6e988
a9bf8e9fd561ba9ff1f0f2a1d96e439fcedaaaa4
d384b0a1a35f87f0ad70c29518f98f922b1c15cb

the additional patch to complete the interface
git://git.kernel.org/pub/scm/linux/kernel/git/jj/linux-apparmor v3.4-aa2.8
8de755e4dfdbc40bfcaca848ae6b5aeaf0ede0e8

vs. the old compat patch
git://git.kernel.org/pub/scm/linux/kernel/git/jj/linux-apparmor
da1ce2265ebb70860b9c137a542e48b170e4606b

>> Kees, others, what do you think?
> 

While I like to see the latest stuff, I think the old patch is a smaller
delta, well tested and going to be less to maintain so it really seems
the way to go.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Thu, 31 May 2012 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 31 May 2012 01:15:03 GMT) Full text and rfc822 format available.

Message #56 received at 661151@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: John Johansen <john.johansen@canonical.com>
Cc: micah anderson <micah@riseup.net>, 661151@bugs.debian.org, Kees Cook <kees@debian.org>
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Thu, 31 May 2012 02:10:59 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2012-05-30 at 16:46 -0700, John Johansen wrote:
> On 05/30/2012 08:08 AM, micah anderson wrote:
> > 
> > Hi all,
> > 
> > Its been 2 months without a reply on this issue, and we are getting
> > close to a freeze. Kees and John it looks like there are some pending
> > questions for you below, it would be great if you could chime in with
> > your opinons:
> > 
> >> If the Debian kernel team was willing to carry some kind of AppArmor
> >> kernel/userspace interface patch, I'm now unsure if the old or new
> >> ones would be better suited. (I assume AppArmor 2.8 is released long
> >> enough before the Wheezy freeze, so that we can ship it in there, and
> >> are given this choice.)
> >>
> >> On the one hand, the old compat' patches are confidence inspiring, as
> >> they are small and have been shipped by Ubuntu for a while.
> > 
> > My opinon: the 2.4 compat patch is tiny, and it works well, and has been
> > tested for some time, I think it makes the most sense to include this
> > one.
> > 
> probably, especially if you are looking to keep the patch as small as
> possible

Should I take it that '2.4 compat' actually means '2.4-2.7 compat'?

[...]
> vs. the old compat patch
> git://git.kernel.org/pub/scm/linux/kernel/git/jj/linux-apparmor
> da1ce2265ebb70860b9c137a542e48b170e4606b
>
> >> Kees, others, what do you think?
> > 
> 
> While I like to see the latest stuff, I think the old patch is a smaller
> delta, well tested and going to be less to maintain so it really seems
> the way to go.

So you're saying we should take just the one quoted above for wheezy?

The aafs_create() and aafs_remove() calls are mismatched when
CONFIG_SECURITY_APPARMOR_COMPAT_24 is not set, but aside from that it
doesn't look too horrible.

What about this one:

commit 1023c7c2f9d9c5707147479104312c4c3d1a2c2b
Author: John Johansen <john.johansen@canonical.com>
Date:   Wed Aug 10 22:02:39 2011 -0700

    AppArmor: compatibility patch for v5 network controll
    
    Add compatibility for v5 network rules.

Ben.

-- 
Ben Hutchings
The obvious mathematical breakthrough [to break modern encryption] would be
development of an easy way to factor large prime numbers. - Bill Gates
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Thu, 31 May 2012 03:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Johansen <john.johansen@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 31 May 2012 03:03:07 GMT) Full text and rfc822 format available.

Message #61 received at 661151@bugs.debian.org (full text, mbox):

From: John Johansen <john.johansen@canonical.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: micah anderson <micah@riseup.net>, 661151@bugs.debian.org, Kees Cook <kees@debian.org>
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Wed, 30 May 2012 20:00:54 -0700
On 05/30/2012 06:10 PM, Ben Hutchings wrote:
> On Wed, 2012-05-30 at 16:46 -0700, John Johansen wrote:
>> On 05/30/2012 08:08 AM, micah anderson wrote:
>>>
>>> Hi all,
>>>
>>> Its been 2 months without a reply on this issue, and we are getting
>>> close to a freeze. Kees and John it looks like there are some pending
>>> questions for you below, it would be great if you could chime in with
>>> your opinons:
>>>
>>>> If the Debian kernel team was willing to carry some kind of AppArmor
>>>> kernel/userspace interface patch, I'm now unsure if the old or new
>>>> ones would be better suited. (I assume AppArmor 2.8 is released long
>>>> enough before the Wheezy freeze, so that we can ship it in there, and
>>>> are given this choice.)
>>>>
>>>> On the one hand, the old compat' patches are confidence inspiring, as
>>>> they are small and have been shipped by Ubuntu for a while.
>>>
>>> My opinon: the 2.4 compat patch is tiny, and it works well, and has been
>>> tested for some time, I think it makes the most sense to include this
>>> one.
>>>
>> probably, especially if you are looking to keep the patch as small as
>> possible
> 
> Should I take it that '2.4 compat' actually means '2.4-2.7 compat'?
>
yeah it turned out to be that. The rewrite to use the newer LSM path hooks
began after 2.4, and the patch provided the 2.4 interface until a newer
interface that was more sysfs in style could be created.
 
> [...]
>> vs. the old compat patch
>> git://git.kernel.org/pub/scm/linux/kernel/git/jj/linux-apparmor
>> da1ce2265ebb70860b9c137a542e48b170e4606b
>>
>>>> Kees, others, what do you think?
>>>
>>
>> While I like to see the latest stuff, I think the old patch is a smaller
>> delta, well tested and going to be less to maintain so it really seems
>> the way to go.
> 
> So you're saying we should take just the one quoted above for wheezy?
> 
> The aafs_create() and aafs_remove() calls are mismatched when
> CONFIG_SECURITY_APPARMOR_COMPAT_24 is not set, but aside from that it
> doesn't look too horrible.
>
oops I guess we never built it that way, I can fix that for you

> What about this one:
> 
> commit 1023c7c2f9d9c5707147479104312c4c3d1a2c2b
> Author: John Johansen <john.johansen@canonical.com>
> Date:   Wed Aug 10 22:02:39 2011 -0700
> 
>     AppArmor: compatibility patch for v5 network controll
>     
>     Add compatibility for v5 network rules.
> 

That will provide support for the network rules and if you are willing
to carry it that would be greate but is not strictly necessary. Policy can
still be loaded and introspected. If that patch is missing and if profile
contains network rules the parser will complain about them not being
enforced, but it will still load and enforce the rest of the policy





Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Thu, 31 May 2012 03:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Thu, 31 May 2012 03:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 31 May 2012 03:27:03 GMT) Full text and rfc822 format available.

Message #68 received at 661151@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: John Johansen <john.johansen@canonical.com>
Cc: micah anderson <micah@riseup.net>, 661151@bugs.debian.org, Kees Cook <kees@debian.org>
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Thu, 31 May 2012 04:24:09 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2012-05-30 at 20:00 -0700, John Johansen wrote:
> On 05/30/2012 06:10 PM, Ben Hutchings wrote:
[...]
> >> vs. the old compat patch
> >> git://git.kernel.org/pub/scm/linux/kernel/git/jj/linux-apparmor
> >> da1ce2265ebb70860b9c137a542e48b170e4606b
> >>
> >>>> Kees, others, what do you think?
> >>>
> >>
> >> While I like to see the latest stuff, I think the old patch is a smaller
> >> delta, well tested and going to be less to maintain so it really seems
> >> the way to go.
> > 
> > So you're saying we should take just the one quoted above for wheezy?
> > 
> > The aafs_create() and aafs_remove() calls are mismatched when
> > CONFIG_SECURITY_APPARMOR_COMPAT_24 is not set, but aside from that it
> > doesn't look too horrible.
> >
> oops I guess we never built it that way, I can fix that for you

It would be an odd configuration but someone might use it and it would
fail to build.  Trivial for me to fix up, anyway.

> > What about this one:
> > 
> > commit 1023c7c2f9d9c5707147479104312c4c3d1a2c2b
> > Author: John Johansen <john.johansen@canonical.com>
> > Date:   Wed Aug 10 22:02:39 2011 -0700
> > 
> >     AppArmor: compatibility patch for v5 network controll
> >     
> >     Add compatibility for v5 network rules.
> > 
> 
> That will provide support for the network rules and if you are willing
> to carry it that would be greate but is not strictly necessary. Policy can
> still be loaded and introspected. If that patch is missing and if profile
> contains network rules the parser will complain about them not being
> enforced, but it will still load and enforce the rest of the policy

Looking back over the bug log, I see that wasn't requested, so I'm only
applying 'AppArmor: compatibility patch for v5 interface' now.

Ben.

-- 
Ben Hutchings
The obvious mathematical breakthrough [to break modern encryption] would be
development of an easy way to factor large prime numbers. - Bill Gates
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Thu, 31 May 2012 13:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 31 May 2012 13:18:18 GMT) Full text and rfc822 format available.

Message #73 received at 661151@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 661151@bugs.debian.org, John Johansen <john.johansen@canonical.com>, micah anderson <micah@riseup.net>, Kees Cook <kees@debian.org>
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Thu, 31 May 2012 15:14:13 +0200
Hi,

Ben Hutchings wrote (31 May 2012 03:24:09 GMT) :
>> > What about this one:
>> > 
>> > commit 1023c7c2f9d9c5707147479104312c4c3d1a2c2b
>> > Author: John Johansen <john.johansen@canonical.com>
>> > Date:   Wed Aug 10 22:02:39 2011 -0700
>> > 
>> >     AppArmor: compatibility patch for v5 network controll
>> >     
>> >     Add compatibility for v5 network rules.
>> > 
>> 
>> That will provide support for the network rules and if you are
>> willing to carry it that would be greate but is not strictly
>> necessary. Policy can still be loaded and introspected. If that
>> patch is missing and if profile contains network rules the parser
>> will complain about them not being enforced, but it will still load
>> and enforce the rest of the policy

> Looking back over the bug log, I see that wasn't requested, so I'm
> only applying 'AppArmor: compatibility patch for v5 interface' now.

Thanks a lot for applying this patch! This will make our work on
AppArmor in Wheezy much easier, and user experience much better.

However, yes, perhaps it was unclear, but my initial bug report
(shyly) talked of the compatibility patch to solve both "network
mediation does not work at all" issue and the introspection ones,
so it would be absolutely wonderful if you could apply the part of the
compatibility patch that deals with network too (FTR, this would bring
Wheezy on par with what Ubuntu shipped before Precise).

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Fri, 01 Jun 2012 16:51:10 GMT) Full text and rfc822 format available.

Notification sent to intrigeri@debian.org:
Bug acknowledged by developer. (Fri, 01 Jun 2012 16:51:10 GMT) Full text and rfc822 format available.

Message #78 received at 661151-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 661151-close@bugs.debian.org
Subject: Bug#661151: fixed in linux-2.6 3.2.19-1
Date: Fri, 01 Jun 2012 16:49:00 +0000
Source: linux-2.6
Source-Version: 3.2.19-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_3.2.19-1.diff.gz
  to main/l/linux-2.6/linux-2.6_3.2.19-1.diff.gz
linux-2.6_3.2.19-1.dsc
  to main/l/linux-2.6/linux-2.6_3.2.19-1.dsc
linux-2.6_3.2.19.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_3.2.19.orig.tar.gz
linux-doc-3.2_3.2.19-1_all.deb
  to main/l/linux-2.6/linux-doc-3.2_3.2.19-1_all.deb
linux-manual-3.2_3.2.19-1_all.deb
  to main/l/linux-2.6/linux-manual-3.2_3.2.19-1_all.deb
linux-patch-debian-3.2_3.2.19-1_all.deb
  to main/l/linux-2.6/linux-patch-debian-3.2_3.2.19-1_all.deb
linux-source-3.2_3.2.19-1_all.deb
  to main/l/linux-2.6/linux-source-3.2_3.2.19-1_all.deb
linux-support-3.2.0-2_3.2.19-1_all.deb
  to main/l/linux-2.6/linux-support-3.2.0-2_3.2.19-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661151@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 01 Jun 2012 13:15:48 +0100
Source: linux-2.6
Binary: linux-source-3.2 linux-doc-3.2 linux-manual-3.2 linux-patch-debian-3.2 linux-support-3.2.0-2 linux-libc-dev linux-headers-3.2.0-2-all linux-headers-3.2.0-2-all-alpha linux-headers-3.2.0-2-common linux-image-3.2.0-2-alpha-generic linux-headers-3.2.0-2-alpha-generic linux-image-3.2.0-2-alpha-smp linux-headers-3.2.0-2-alpha-smp linux-image-3.2.0-2-alpha-legacy linux-headers-3.2.0-2-alpha-legacy linux-headers-3.2.0-2-all-amd64 kernel-image-3.2.0-2-amd64-di nic-modules-3.2.0-2-amd64-di nic-extra-modules-3.2.0-2-amd64-di nic-wireless-modules-3.2.0-2-amd64-di nic-shared-modules-3.2.0-2-amd64-di serial-modules-3.2.0-2-amd64-di usb-serial-modules-3.2.0-2-amd64-di ppp-modules-3.2.0-2-amd64-di pata-modules-3.2.0-2-amd64-di cdrom-core-modules-3.2.0-2-amd64-di firewire-core-modules-3.2.0-2-amd64-di scsi-core-modules-3.2.0-2-amd64-di scsi-modules-3.2.0-2-amd64-di scsi-common-modules-3.2.0-2-amd64-di scsi-extra-modules-3.2.0-2-amd64-di plip-modules-3.2.0-2-amd64-di
 floppy-modules-3.2.0-2-amd64-di loop-modules-3.2.0-2-amd64-di btrfs-modules-3.2.0-2-amd64-di ext2-modules-3.2.0-2-amd64-di ext3-modules-3.2.0-2-amd64-di ext4-modules-3.2.0-2-amd64-di isofs-modules-3.2.0-2-amd64-di jfs-modules-3.2.0-2-amd64-di ntfs-modules-3.2.0-2-amd64-di reiserfs-modules-3.2.0-2-amd64-di xfs-modules-3.2.0-2-amd64-di fat-modules-3.2.0-2-amd64-di ufs-modules-3.2.0-2-amd64-di qnx4-modules-3.2.0-2-amd64-di md-modules-3.2.0-2-amd64-di multipath-modules-3.2.0-2-amd64-di usb-modules-3.2.0-2-amd64-di usb-storage-modules-3.2.0-2-amd64-di pcmcia-storage-modules-3.2.0-2-amd64-di fb-modules-3.2.0-2-amd64-di input-modules-3.2.0-2-amd64-di event-modules-3.2.0-2-amd64-di mouse-modules-3.2.0-2-amd64-di irda-modules-3.2.0-2-amd64-di parport-modules-3.2.0-2-amd64-di nic-pcmcia-modules-3.2.0-2-amd64-di pcmcia-modules-3.2.0-2-amd64-di nic-usb-modules-3.2.0-2-amd64-di sata-modules-3.2.0-2-amd64-di core-modules-3.2.0-2-amd64-di acpi-modules-3.2.0-2-amd64-di
 i2c-modules-3.2.0-2-amd64-di crc-modules-3.2.0-2-amd64-di crypto-modules-3.2.0-2-amd64-di crypto-dm-modules-3.2.0-2-amd64-di efi-modules-3.2.0-2-amd64-di ata-modules-3.2.0-2-amd64-di mmc-core-modules-3.2.0-2-amd64-di mmc-modules-3.2.0-2-amd64-di nbd-modules-3.2.0-2-amd64-di squashfs-modules-3.2.0-2-amd64-di speakup-modules-3.2.0-2-amd64-di virtio-modules-3.2.0-2-amd64-di uinput-modules-3.2.0-2-amd64-di sound-modules-3.2.0-2-amd64-di zlib-modules-3.2.0-2-amd64-di hyperv-modules-3.2.0-2-amd64-di linux-image-3.2.0-2-amd64 linux-headers-3.2.0-2-amd64 linux-image-3.2.0-2-amd64-dbg xen-linux-system-3.2.0-2-amd64 linux-headers-3.2.0-2-common-rt linux-image-3.2.0-2-rt-amd64 linux-headers-3.2.0-2-rt-amd64 linux-image-3.2.0-2-rt-amd64-dbg linux-headers-3.2.0-2-all-armel kernel-image-3.2.0-2-iop32x-di nic-modules-3.2.0-2-iop32x-di nic-shared-modules-3.2.0-2-iop32x-di usb-serial-modules-3.2.0-2-iop32x-di ppp-modules-3.2.0-2-iop32x-di pata-modules-3.2.0-2-iop32x-di
 cdrom-core-modules-3.2.0-2-iop32x-di scsi-core-modules-3.2.0-2-iop32x-di loop-modules-3.2.0-2-iop32x-di btrfs-modules-3.2.0-2-iop32x-di ext2-modules-3.2.0-2-iop32x-di ext3-modules-3.2.0-2-iop32x-di ext4-modules-3.2.0-2-iop32x-di isofs-modules-3.2.0-2-iop32x-di jffs2-modules-3.2.0-2-iop32x-di jfs-modules-3.2.0-2-iop32x-di reiserfs-modules-3.2.0-2-iop32x-di fat-modules-3.2.0-2-iop32x-di md-modules-3.2.0-2-iop32x-di multipath-modules-3.2.0-2-iop32x-di usb-modules-3.2.0-2-iop32x-di usb-storage-modules-3.2.0-2-iop32x-di event-modules-3.2.0-2-iop32x-di nic-usb-modules-3.2.0-2-iop32x-di sata-modules-3.2.0-2-iop32x-di core-modules-3.2.0-2-iop32x-di crc-modules-3.2.0-2-iop32x-di crypto-modules-3.2.0-2-iop32x-di crypto-dm-modules-3.2.0-2-iop32x-di ata-modules-3.2.0-2-iop32x-di nbd-modules-3.2.0-2-iop32x-di squashfs-modules-3.2.0-2-iop32x-di zlib-modules-3.2.0-2-iop32x-di kernel-image-3.2.0-2-kirkwood-di nic-modules-3.2.0-2-kirkwood-di nic-shared-modules-3.2.0-2-kirkwood-di
 usb-serial-modules-3.2.0-2-kirkwood-di ppp-modules-3.2.0-2-kirkwood-di cdrom-core-modules-3.2.0-2-kirkwood-di scsi-core-modules-3.2.0-2-kirkwood-di loop-modules-3.2.0-2-kirkwood-di btrfs-modules-3.2.0-2-kirkwood-di ext2-modules-3.2.0-2-kirkwood-di ext3-modules-3.2.0-2-kirkwood-di ext4-modules-3.2.0-2-kirkwood-di isofs-modules-3.2.0-2-kirkwood-di jfs-modules-3.2.0-2-kirkwood-di reiserfs-modules-3.2.0-2-kirkwood-di fat-modules-3.2.0-2-kirkwood-di minix-modules-3.2.0-2-kirkwood-di md-modules-3.2.0-2-kirkwood-di multipath-modules-3.2.0-2-kirkwood-di usb-modules-3.2.0-2-kirkwood-di usb-storage-modules-3.2.0-2-kirkwood-di fb-modules-3.2.0-2-kirkwood-di input-modules-3.2.0-2-kirkwood-di event-modules-3.2.0-2-kirkwood-di mouse-modules-3.2.0-2-kirkwood-di nic-usb-modules-3.2.0-2-kirkwood-di sata-modules-3.2.0-2-kirkwood-di core-modules-3.2.0-2-kirkwood-di crc-modules-3.2.0-2-kirkwood-di crypto-modules-3.2.0-2-kirkwood-di crypto-dm-modules-3.2.0-2-kirkwood-di
 mmc-modules-3.2.0-2-kirkwood-di nbd-modules-3.2.0-2-kirkwood-di squashfs-modules-3.2.0-2-kirkwood-di uinput-modules-3.2.0-2-kirkwood-di leds-modules-3.2.0-2-kirkwood-di kernel-image-3.2.0-2-orion5x-di nic-modules-3.2.0-2-orion5x-di nic-shared-modules-3.2.0-2-orion5x-di usb-serial-modules-3.2.0-2-orion5x-di ppp-modules-3.2.0-2-orion5x-di cdrom-core-modules-3.2.0-2-orion5x-di scsi-core-modules-3.2.0-2-orion5x-di loop-modules-3.2.0-2-orion5x-di btrfs-modules-3.2.0-2-orion5x-di ext2-modules-3.2.0-2-orion5x-di ext3-modules-3.2.0-2-orion5x-di ext4-modules-3.2.0-2-orion5x-di isofs-modules-3.2.0-2-orion5x-di jffs2-modules-3.2.0-2-orion5x-di jfs-modules-3.2.0-2-orion5x-di reiserfs-modules-3.2.0-2-orion5x-di fat-modules-3.2.0-2-orion5x-di minix-modules-3.2.0-2-orion5x-di md-modules-3.2.0-2-orion5x-di multipath-modules-3.2.0-2-orion5x-di usb-modules-3.2.0-2-orion5x-di usb-storage-modules-3.2.0-2-orion5x-di event-modules-3.2.0-2-orion5x-di nic-usb-modules-3.2.0-2-orion5x-di
 sata-modules-3.2.0-2-orion5x-di core-modules-3.2.0-2-orion5x-di crc-modules-3.2.0-2-orion5x-di crypto-modules-3.2.0-2-orion5x-di crypto-dm-modules-3.2.0-2-orion5x-di nbd-modules-3.2.0-2-orion5x-di squashfs-modules-3.2.0-2-orion5x-di zlib-modules-3.2.0-2-orion5x-di kernel-image-3.2.0-2-versatile-di nic-modules-3.2.0-2-versatile-di nic-shared-modules-3.2.0-2-versatile-di usb-serial-modules-3.2.0-2-versatile-di ppp-modules-3.2.0-2-versatile-di cdrom-core-modules-3.2.0-2-versatile-di scsi-core-modules-3.2.0-2-versatile-di scsi-common-modules-3.2.0-2-versatile-di loop-modules-3.2.0-2-versatile-di btrfs-modules-3.2.0-2-versatile-di ext2-modules-3.2.0-2-versatile-di ext3-modules-3.2.0-2-versatile-di ext4-modules-3.2.0-2-versatile-di isofs-modules-3.2.0-2-versatile-di reiserfs-modules-3.2.0-2-versatile-di fat-modules-3.2.0-2-versatile-di md-modules-3.2.0-2-versatile-di multipath-modules-3.2.0-2-versatile-di usb-modules-3.2.0-2-versatile-di
 usb-storage-modules-3.2.0-2-versatile-di nic-usb-modules-3.2.0-2-versatile-di sata-modules-3.2.0-2-versatile-di core-modules-3.2.0-2-versatile-di crc-modules-3.2.0-2-versatile-di crypto-modules-3.2.0-2-versatile-di crypto-dm-modules-3.2.0-2-versatile-di nbd-modules-3.2.0-2-versatile-di squashfs-modules-3.2.0-2-versatile-di virtio-modules-3.2.0-2-versatile-di zlib-modules-3.2.0-2-versatile-di linux-image-3.2.0-2-iop32x linux-headers-3.2.0-2-iop32x linux-image-3.2.0-2-ixp4xx linux-headers-3.2.0-2-ixp4xx linux-image-3.2.0-2-kirkwood linux-headers-3.2.0-2-kirkwood linux-image-3.2.0-2-mv78xx0 linux-headers-3.2.0-2-mv78xx0 linux-image-3.2.0-2-orion5x linux-headers-3.2.0-2-orion5x linux-image-3.2.0-2-versatile linux-headers-3.2.0-2-versatile linux-headers-3.2.0-2-all-armhf kernel-image-3.2.0-2-mx5-di nic-modules-3.2.0-2-mx5-di nic-shared-modules-3.2.0-2-mx5-di scsi-core-modules-3.2.0-2-mx5-di loop-modules-3.2.0-2-mx5-di btrfs-modules-3.2.0-2-mx5-di
 ext2-modules-3.2.0-2-mx5-di ext3-modules-3.2.0-2-mx5-di ext4-modules-3.2.0-2-mx5-di isofs-modules-3.2.0-2-mx5-di jfs-modules-3.2.0-2-mx5-di reiserfs-modules-3.2.0-2-mx5-di fat-modules-3.2.0-2-mx5-di minix-modules-3.2.0-2-mx5-di md-modules-3.2.0-2-mx5-di multipath-modules-3.2.0-2-mx5-di usb-storage-modules-3.2.0-2-mx5-di input-modules-3.2.0-2-mx5-di nic-usb-modules-3.2.0-2-mx5-di core-modules-3.2.0-2-mx5-di crc-modules-3.2.0-2-mx5-di crypto-modules-3.2.0-2-mx5-di crypto-dm-modules-3.2.0-2-mx5-di mmc-modules-3.2.0-2-mx5-di nbd-modules-3.2.0-2-mx5-di squashfs-modules-3.2.0-2-mx5-di uinput-modules-3.2.0-2-mx5-di linux-image-3.2.0-2-mx5 linux-headers-3.2.0-2-mx5 linux-image-3.2.0-2-omap linux-headers-3.2.0-2-omap linux-image-3.2.0-2-vexpress linux-headers-3.2.0-2-vexpress linux-headers-3.2.0-2-all-hppa kernel-image-3.2.0-2-parisc-di nic-modules-3.2.0-2-parisc-di ppp-modules-3.2.0-2-parisc-di pata-modules-3.2.0-2-parisc-di cdrom-core-modules-3.2.0-2-parisc-di
 scsi-core-modules-3.2.0-2-parisc-di scsi-modules-3.2.0-2-parisc-di loop-modules-3.2.0-2-parisc-di ipv6-modules-3.2.0-2-parisc-di btrfs-modules-3.2.0-2-parisc-di ext3-modules-3.2.0-2-parisc-di ext4-modules-3.2.0-2-parisc-di fat-modules-3.2.0-2-parisc-di md-modules-3.2.0-2-parisc-di multipath-modules-3.2.0-2-parisc-di usb-modules-3.2.0-2-parisc-di usb-storage-modules-3.2.0-2-parisc-di input-modules-3.2.0-2-parisc-di crypto-modules-3.2.0-2-parisc-di crypto-dm-modules-3.2.0-2-parisc-di nbd-modules-3.2.0-2-parisc-di zlib-modules-3.2.0-2-parisc-di kernel-image-3.2.0-2-parisc64-di nic-modules-3.2.0-2-parisc64-di ppp-modules-3.2.0-2-parisc64-di pata-modules-3.2.0-2-parisc64-di cdrom-core-modules-3.2.0-2-parisc64-di scsi-core-modules-3.2.0-2-parisc64-di scsi-modules-3.2.0-2-parisc64-di loop-modules-3.2.0-2-parisc64-di ipv6-modules-3.2.0-2-parisc64-di btrfs-modules-3.2.0-2-parisc64-di ext3-modules-3.2.0-2-parisc64-di ext4-modules-3.2.0-2-parisc64-di
 fat-modules-3.2.0-2-parisc64-di md-modules-3.2.0-2-parisc64-di multipath-modules-3.2.0-2-parisc64-di usb-modules-3.2.0-2-parisc64-di usb-storage-modules-3.2.0-2-parisc64-di input-modules-3.2.0-2-parisc64-di crypto-modules-3.2.0-2-parisc64-di crypto-dm-modules-3.2.0-2-parisc64-di nbd-modules-3.2.0-2-parisc64-di zlib-modules-3.2.0-2-parisc64-di linux-image-3.2.0-2-parisc linux-headers-3.2.0-2-parisc linux-image-3.2.0-2-parisc-smp linux-headers-3.2.0-2-parisc-smp linux-image-3.2.0-2-parisc64 linux-headers-3.2.0-2-parisc64 linux-image-3.2.0-2-parisc64-smp linux-headers-3.2.0-2-parisc64-smp linux-headers-3.2.0-2-all-i386 kernel-image-3.2.0-2-486-di nic-modules-3.2.0-2-486-di nic-extra-modules-3.2.0-2-486-di nic-wireless-modules-3.2.0-2-486-di nic-shared-modules-3.2.0-2-486-di serial-modules-3.2.0-2-486-di usb-serial-modules-3.2.0-2-486-di ppp-modules-3.2.0-2-486-di pata-modules-3.2.0-2-486-di cdrom-core-modules-3.2.0-2-486-di firewire-core-modules-3.2.0-2-486-di
 scsi-core-modules-3.2.0-2-486-di scsi-modules-3.2.0-2-486-di scsi-common-modules-3.2.0-2-486-di scsi-extra-modules-3.2.0-2-486-di plip-modules-3.2.0-2-486-di floppy-modules-3.2.0-2-486-di loop-modules-3.2.0-2-486-di btrfs-modules-3.2.0-2-486-di ext2-modules-3.2.0-2-486-di ext3-modules-3.2.0-2-486-di ext4-modules-3.2.0-2-486-di isofs-modules-3.2.0-2-486-di jfs-modules-3.2.0-2-486-di ntfs-modules-3.2.0-2-486-di reiserfs-modules-3.2.0-2-486-di xfs-modules-3.2.0-2-486-di fat-modules-3.2.0-2-486-di ufs-modules-3.2.0-2-486-di qnx4-modules-3.2.0-2-486-di md-modules-3.2.0-2-486-di multipath-modules-3.2.0-2-486-di usb-modules-3.2.0-2-486-di usb-storage-modules-3.2.0-2-486-di pcmcia-storage-modules-3.2.0-2-486-di fb-modules-3.2.0-2-486-di input-modules-3.2.0-2-486-di event-modules-3.2.0-2-486-di mouse-modules-3.2.0-2-486-di irda-modules-3.2.0-2-486-di parport-modules-3.2.0-2-486-di nic-pcmcia-modules-3.2.0-2-486-di pcmcia-modules-3.2.0-2-486-di nic-usb-modules-3.2.0-2-486-di
 sata-modules-3.2.0-2-486-di core-modules-3.2.0-2-486-di acpi-modules-3.2.0-2-486-di i2c-modules-3.2.0-2-486-di crc-modules-3.2.0-2-486-di crypto-modules-3.2.0-2-486-di crypto-dm-modules-3.2.0-2-486-di efi-modules-3.2.0-2-486-di ata-modules-3.2.0-2-486-di mmc-core-modules-3.2.0-2-486-di mmc-modules-3.2.0-2-486-di nbd-modules-3.2.0-2-486-di squashfs-modules-3.2.0-2-486-di speakup-modules-3.2.0-2-486-di virtio-modules-3.2.0-2-486-di uinput-modules-3.2.0-2-486-di sound-modules-3.2.0-2-486-di zlib-modules-3.2.0-2-486-di hyperv-modules-3.2.0-2-486-di kernel-image-3.2.0-2-686-pae-di nic-modules-3.2.0-2-686-pae-di nic-extra-modules-3.2.0-2-686-pae-di nic-wireless-modules-3.2.0-2-686-pae-di nic-shared-modules-3.2.0-2-686-pae-di serial-modules-3.2.0-2-686-pae-di usb-serial-modules-3.2.0-2-686-pae-di ppp-modules-3.2.0-2-686-pae-di pata-modules-3.2.0-2-686-pae-di cdrom-core-modules-3.2.0-2-686-pae-di firewire-core-modules-3.2.0-2-686-pae-di scsi-core-modules-3.2.0-2-686-pae-di
 scsi-modules-3.2.0-2-686-pae-di scsi-common-modules-3.2.0-2-686-pae-di scsi-extra-modules-3.2.0-2-686-pae-di plip-modules-3.2.0-2-686-pae-di floppy-modules-3.2.0-2-686-pae-di loop-modules-3.2.0-2-686-pae-di btrfs-modules-3.2.0-2-686-pae-di ext2-modules-3.2.0-2-686-pae-di ext3-modules-3.2.0-2-686-pae-di ext4-modules-3.2.0-2-686-pae-di isofs-modules-3.2.0-2-686-pae-di jfs-modules-3.2.0-2-686-pae-di ntfs-modules-3.2.0-2-686-pae-di reiserfs-modules-3.2.0-2-686-pae-di xfs-modules-3.2.0-2-686-pae-di fat-modules-3.2.0-2-686-pae-di ufs-modules-3.2.0-2-686-pae-di qnx4-modules-3.2.0-2-686-pae-di md-modules-3.2.0-2-686-pae-di multipath-modules-3.2.0-2-686-pae-di usb-modules-3.2.0-2-686-pae-di usb-storage-modules-3.2.0-2-686-pae-di pcmcia-storage-modules-3.2.0-2-686-pae-di fb-modules-3.2.0-2-686-pae-di input-modules-3.2.0-2-686-pae-di event-modules-3.2.0-2-686-pae-di mouse-modules-3.2.0-2-686-pae-di irda-modules-3.2.0-2-686-pae-di parport-modules-3.2.0-2-686-pae-di
 nic-pcmcia-modules-3.2.0-2-686-pae-di pcmcia-modules-3.2.0-2-686-pae-di nic-usb-modules-3.2.0-2-686-pae-di sata-modules-3.2.0-2-686-pae-di core-modules-3.2.0-2-686-pae-di acpi-modules-3.2.0-2-686-pae-di i2c-modules-3.2.0-2-686-pae-di crc-modules-3.2.0-2-686-pae-di crypto-modules-3.2.0-2-686-pae-di crypto-dm-modules-3.2.0-2-686-pae-di efi-modules-3.2.0-2-686-pae-di ata-modules-3.2.0-2-686-pae-di mmc-core-modules-3.2.0-2-686-pae-di mmc-modules-3.2.0-2-686-pae-di nbd-modules-3.2.0-2-686-pae-di squashfs-modules-3.2.0-2-686-pae-di speakup-modules-3.2.0-2-686-pae-di virtio-modules-3.2.0-2-686-pae-di uinput-modules-3.2.0-2-686-pae-di sound-modules-3.2.0-2-686-pae-di zlib-modules-3.2.0-2-686-pae-di hyperv-modules-3.2.0-2-686-pae-di linux-image-3.2.0-2-486 linux-headers-3.2.0-2-486 linux-image-3.2.0-2-686-pae linux-headers-3.2.0-2-686-pae linux-image-3.2.0-2-686-pae-dbg xen-linux-system-3.2.0-2-686-pae linux-image-3.2.0-2-rt-686-pae linux-headers-3.2.0-2-rt-686-pae
 linux-image-3.2.0-2-rt-686-pae-dbg linux-headers-3.2.0-2-all-ia64 kernel-image-3.2.0-2-itanium-di nic-modules-3.2.0-2-itanium-di nic-shared-modules-3.2.0-2-itanium-di serial-modules-3.2.0-2-itanium-di ppp-modules-3.2.0-2-itanium-di ide-modules-3.2.0-2-itanium-di pata-modules-3.2.0-2-itanium-di ide-core-modules-3.2.0-2-itanium-di cdrom-core-modules-3.2.0-2-itanium-di firewire-core-modules-3.2.0-2-itanium-di scsi-core-modules-3.2.0-2-itanium-di scsi-modules-3.2.0-2-itanium-di plip-modules-3.2.0-2-itanium-di loop-modules-3.2.0-2-itanium-di ipv6-modules-3.2.0-2-itanium-di btrfs-modules-3.2.0-2-itanium-di ext2-modules-3.2.0-2-itanium-di ext3-modules-3.2.0-2-itanium-di ext4-modules-3.2.0-2-itanium-di isofs-modules-3.2.0-2-itanium-di jfs-modules-3.2.0-2-itanium-di ntfs-modules-3.2.0-2-itanium-di reiserfs-modules-3.2.0-2-itanium-di xfs-modules-3.2.0-2-itanium-di fat-modules-3.2.0-2-itanium-di ufs-modules-3.2.0-2-itanium-di md-modules-3.2.0-2-itanium-di
 multipath-modules-3.2.0-2-itanium-di usb-modules-3.2.0-2-itanium-di usb-storage-modules-3.2.0-2-itanium-di fb-modules-3.2.0-2-itanium-di input-modules-3.2.0-2-itanium-di event-modules-3.2.0-2-itanium-di mouse-modules-3.2.0-2-itanium-di irda-modules-3.2.0-2-itanium-di parport-modules-3.2.0-2-itanium-di pcmcia-modules-3.2.0-2-itanium-di nic-usb-modules-3.2.0-2-itanium-di sata-modules-3.2.0-2-itanium-di core-modules-3.2.0-2-itanium-di crc-modules-3.2.0-2-itanium-di crypto-modules-3.2.0-2-itanium-di crypto-dm-modules-3.2.0-2-itanium-di efi-modules-3.2.0-2-itanium-di ata-modules-3.2.0-2-itanium-di nbd-modules-3.2.0-2-itanium-di squashfs-modules-3.2.0-2-itanium-di uinput-modules-3.2.0-2-itanium-di zlib-modules-3.2.0-2-itanium-di sn-modules-3.2.0-2-itanium-di linux-image-3.2.0-2-itanium linux-headers-3.2.0-2-itanium linux-image-3.2.0-2-mckinley linux-headers-3.2.0-2-mckinley linux-headers-3.2.0-2-all-m68k kernel-image-3.2.0-2-amiga-di nic-shared-modules-3.2.0-2-amiga-di
 ppp-modules-3.2.0-2-amiga-di cdrom-core-modules-3.2.0-2-amiga-di scsi-modules-3.2.0-2-amiga-di btrfs-modules-3.2.0-2-amiga-di isofs-modules-3.2.0-2-amiga-di jfs-modules-3.2.0-2-amiga-di reiserfs-modules-3.2.0-2-amiga-di fat-modules-3.2.0-2-amiga-di md-modules-3.2.0-2-amiga-di crypto-modules-3.2.0-2-amiga-di nbd-modules-3.2.0-2-amiga-di squashfs-modules-3.2.0-2-amiga-di zlib-modules-3.2.0-2-amiga-di kernel-image-3.2.0-2-atari-di nic-shared-modules-3.2.0-2-atari-di ppp-modules-3.2.0-2-atari-di cdrom-core-modules-3.2.0-2-atari-di scsi-modules-3.2.0-2-atari-di btrfs-modules-3.2.0-2-atari-di isofs-modules-3.2.0-2-atari-di jfs-modules-3.2.0-2-atari-di reiserfs-modules-3.2.0-2-atari-di fat-modules-3.2.0-2-atari-di md-modules-3.2.0-2-atari-di crypto-modules-3.2.0-2-atari-di nbd-modules-3.2.0-2-atari-di squashfs-modules-3.2.0-2-atari-di zlib-modules-3.2.0-2-atari-di kernel-image-3.2.0-2-mac-di nic-shared-modules-3.2.0-2-mac-di ppp-modules-3.2.0-2-mac-di
 cdrom-core-modules-3.2.0-2-mac-di scsi-modules-3.2.0-2-mac-di btrfs-modules-3.2.0-2-mac-di isofs-modules-3.2.0-2-mac-di jfs-modules-3.2.0-2-mac-di reiserfs-modules-3.2.0-2-mac-di fat-modules-3.2.0-2-mac-di md-modules-3.2.0-2-mac-di crypto-modules-3.2.0-2-mac-di nbd-modules-3.2.0-2-mac-di squashfs-modules-3.2.0-2-mac-di zlib-modules-3.2.0-2-mac-di linux-image-3.2.0-2-amiga linux-headers-3.2.0-2-amiga linux-image-3.2.0-2-atari linux-headers-3.2.0-2-atari linux-image-3.2.0-2-bvme6000 linux-headers-3.2.0-2-bvme6000 linux-image-3.2.0-2-mac linux-headers-3.2.0-2-mac linux-image-3.2.0-2-mvme147 linux-headers-3.2.0-2-mvme147 linux-image-3.2.0-2-mvme16x linux-headers-3.2.0-2-mvme16x linux-headers-3.2.0-2-all-mips kernel-image-3.2.0-2-sb1-bcm91250a-di nic-shared-modules-3.2.0-2-sb1-bcm91250a-di ppp-modules-3.2.0-2-sb1-bcm91250a-di cdrom-core-modules-3.2.0-2-sb1-bcm91250a-di scsi-core-modules-3.2.0-2-sb1-bcm91250a-di scsi-modules-3.2.0-2-sb1-bcm91250a-di
 scsi-common-modules-3.2.0-2-sb1-bcm91250a-di loop-modules-3.2.0-2-sb1-bcm91250a-di ipv6-modules-3.2.0-2-sb1-bcm91250a-di btrfs-modules-3.2.0-2-sb1-bcm91250a-di isofs-modules-3.2.0-2-sb1-bcm91250a-di jfs-modules-3.2.0-2-sb1-bcm91250a-di reiserfs-modules-3.2.0-2-sb1-bcm91250a-di xfs-modules-3.2.0-2-sb1-bcm91250a-di fat-modules-3.2.0-2-sb1-bcm91250a-di md-modules-3.2.0-2-sb1-bcm91250a-di multipath-modules-3.2.0-2-sb1-bcm91250a-di usb-modules-3.2.0-2-sb1-bcm91250a-di usb-storage-modules-3.2.0-2-sb1-bcm91250a-di fb-modules-3.2.0-2-sb1-bcm91250a-di input-modules-3.2.0-2-sb1-bcm91250a-di sata-modules-3.2.0-2-sb1-bcm91250a-di crypto-modules-3.2.0-2-sb1-bcm91250a-di crypto-dm-modules-3.2.0-2-sb1-bcm91250a-di nbd-modules-3.2.0-2-sb1-bcm91250a-di squashfs-modules-3.2.0-2-sb1-bcm91250a-di rtc-modules-3.2.0-2-sb1-bcm91250a-di zlib-modules-3.2.0-2-sb1-bcm91250a-di kernel-image-3.2.0-2-r4k-ip22-di nic-shared-modules-3.2.0-2-r4k-ip22-di loop-modules-3.2.0-2-r4k-ip22-di
 ipv6-modules-3.2.0-2-r4k-ip22-di btrfs-modules-3.2.0-2-r4k-ip22-di isofs-modules-3.2.0-2-r4k-ip22-di jfs-modules-3.2.0-2-r4k-ip22-di reiserfs-modules-3.2.0-2-r4k-ip22-di xfs-modules-3.2.0-2-r4k-ip22-di md-modules-3.2.0-2-r4k-ip22-di multipath-modules-3.2.0-2-r4k-ip22-di crypto-modules-3.2.0-2-r4k-ip22-di crypto-dm-modules-3.2.0-2-r4k-ip22-di nbd-modules-3.2.0-2-r4k-ip22-di squashfs-modules-3.2.0-2-r4k-ip22-di zlib-modules-3.2.0-2-r4k-ip22-di kernel-image-3.2.0-2-r5k-ip32-di nic-shared-modules-3.2.0-2-r5k-ip32-di loop-modules-3.2.0-2-r5k-ip32-di ipv6-modules-3.2.0-2-r5k-ip32-di btrfs-modules-3.2.0-2-r5k-ip32-di isofs-modules-3.2.0-2-r5k-ip32-di jfs-modules-3.2.0-2-r5k-ip32-di reiserfs-modules-3.2.0-2-r5k-ip32-di xfs-modules-3.2.0-2-r5k-ip32-di md-modules-3.2.0-2-r5k-ip32-di multipath-modules-3.2.0-2-r5k-ip32-di crypto-modules-3.2.0-2-r5k-ip32-di crypto-dm-modules-3.2.0-2-r5k-ip32-di nbd-modules-3.2.0-2-r5k-ip32-di squashfs-modules-3.2.0-2-r5k-ip32-di
 zlib-modules-3.2.0-2-r5k-ip32-di kernel-image-3.2.0-2-4kc-malta-di ppp-modules-3.2.0-2-4kc-malta-di cdrom-core-modules-3.2.0-2-4kc-malta-di loop-modules-3.2.0-2-4kc-malta-di ipv6-modules-3.2.0-2-4kc-malta-di btrfs-modules-3.2.0-2-4kc-malta-di isofs-modules-3.2.0-2-4kc-malta-di jfs-modules-3.2.0-2-4kc-malta-di reiserfs-modules-3.2.0-2-4kc-malta-di xfs-modules-3.2.0-2-4kc-malta-di fat-modules-3.2.0-2-4kc-malta-di md-modules-3.2.0-2-4kc-malta-di multipath-modules-3.2.0-2-4kc-malta-di usb-modules-3.2.0-2-4kc-malta-di usb-storage-modules-3.2.0-2-4kc-malta-di input-modules-3.2.0-2-4kc-malta-di sata-modules-3.2.0-2-4kc-malta-di crypto-modules-3.2.0-2-4kc-malta-di crypto-dm-modules-3.2.0-2-4kc-malta-di nbd-modules-3.2.0-2-4kc-malta-di squashfs-modules-3.2.0-2-4kc-malta-di virtio-modules-3.2.0-2-4kc-malta-di zlib-modules-3.2.0-2-4kc-malta-di linux-image-3.2.0-2-r4k-ip22 linux-headers-3.2.0-2-r4k-ip22 linux-image-3.2.0-2-r5k-ip32 linux-headers-3.2.0-2-r5k-ip32
 linux-image-3.2.0-2-sb1-bcm91250a linux-headers-3.2.0-2-sb1-bcm91250a linux-image-3.2.0-2-sb1a-bcm91480b linux-headers-3.2.0-2-sb1a-bcm91480b linux-image-3.2.0-2-4kc-malta linux-headers-3.2.0-2-4kc-malta linux-image-3.2.0-2-5kc-malta linux-headers-3.2.0-2-5kc-malta linux-image-3.2.0-2-octeon linux-headers-3.2.0-2-octeon linux-headers-3.2.0-2-all-mipsel kernel-image-3.2.0-2-r5k-cobalt-di nic-shared-modules-3.2.0-2-r5k-cobalt-di ppp-modules-3.2.0-2-r5k-cobalt-di loop-modules-3.2.0-2-r5k-cobalt-di ipv6-modules-3.2.0-2-r5k-cobalt-di btrfs-modules-3.2.0-2-r5k-cobalt-di jfs-modules-3.2.0-2-r5k-cobalt-di reiserfs-modules-3.2.0-2-r5k-cobalt-di xfs-modules-3.2.0-2-r5k-cobalt-di fat-modules-3.2.0-2-r5k-cobalt-di nfs-modules-3.2.0-2-r5k-cobalt-di md-modules-3.2.0-2-r5k-cobalt-di multipath-modules-3.2.0-2-r5k-cobalt-di crypto-modules-3.2.0-2-r5k-cobalt-di crypto-dm-modules-3.2.0-2-r5k-cobalt-di nbd-modules-3.2.0-2-r5k-cobalt-di squashfs-modules-3.2.0-2-r5k-cobalt-di
 zlib-modules-3.2.0-2-r5k-cobalt-di kernel-image-3.2.0-2-loongson-2f-di nic-modules-3.2.0-2-loongson-2f-di nic-shared-modules-3.2.0-2-loongson-2f-di ppp-modules-3.2.0-2-loongson-2f-di cdrom-core-modules-3.2.0-2-loongson-2f-di loop-modules-3.2.0-2-loongson-2f-di ipv6-modules-3.2.0-2-loongson-2f-di btrfs-modules-3.2.0-2-loongson-2f-di isofs-modules-3.2.0-2-loongson-2f-di jfs-modules-3.2.0-2-loongson-2f-di reiserfs-modules-3.2.0-2-loongson-2f-di xfs-modules-3.2.0-2-loongson-2f-di fat-modules-3.2.0-2-loongson-2f-di md-modules-3.2.0-2-loongson-2f-di multipath-modules-3.2.0-2-loongson-2f-di usb-modules-3.2.0-2-loongson-2f-di usb-storage-modules-3.2.0-2-loongson-2f-di input-modules-3.2.0-2-loongson-2f-di nic-usb-modules-3.2.0-2-loongson-2f-di sata-modules-3.2.0-2-loongson-2f-di crypto-modules-3.2.0-2-loongson-2f-di crypto-dm-modules-3.2.0-2-loongson-2f-di nbd-modules-3.2.0-2-loongson-2f-di squashfs-modules-3.2.0-2-loongson-2f-di virtio-modules-3.2.0-2-loongson-2f-di
 zlib-modules-3.2.0-2-loongson-2f-di linux-image-3.2.0-2-r5k-cobalt linux-headers-3.2.0-2-r5k-cobalt linux-image-3.2.0-2-loongson-2f linux-headers-3.2.0-2-loongson-2f linux-headers-3.2.0-2-all-powerpc kernel-image-3.2.0-2-powerpc-di nic-modules-3.2.0-2-powerpc-di nic-extra-modules-3.2.0-2-powerpc-di nic-shared-modules-3.2.0-2-powerpc-di serial-modules-3.2.0-2-powerpc-di usb-serial-modules-3.2.0-2-powerpc-di ppp-modules-3.2.0-2-powerpc-di pata-modules-3.2.0-2-powerpc-di cdrom-core-modules-3.2.0-2-powerpc-di firewire-core-modules-3.2.0-2-powerpc-di scsi-core-modules-3.2.0-2-powerpc-di scsi-modules-3.2.0-2-powerpc-di scsi-common-modules-3.2.0-2-powerpc-di scsi-extra-modules-3.2.0-2-powerpc-di floppy-modules-3.2.0-2-powerpc-di loop-modules-3.2.0-2-powerpc-di btrfs-modules-3.2.0-2-powerpc-di ext2-modules-3.2.0-2-powerpc-di ext3-modules-3.2.0-2-powerpc-di ext4-modules-3.2.0-2-powerpc-di isofs-modules-3.2.0-2-powerpc-di jfs-modules-3.2.0-2-powerpc-di
 reiserfs-modules-3.2.0-2-powerpc-di xfs-modules-3.2.0-2-powerpc-di fat-modules-3.2.0-2-powerpc-di hfs-modules-3.2.0-2-powerpc-di affs-modules-3.2.0-2-powerpc-di ufs-modules-3.2.0-2-powerpc-di md-modules-3.2.0-2-powerpc-di multipath-modules-3.2.0-2-powerpc-di usb-modules-3.2.0-2-powerpc-di usb-storage-modules-3.2.0-2-powerpc-di pcmcia-storage-modules-3.2.0-2-powerpc-di input-modules-3.2.0-2-powerpc-di event-modules-3.2.0-2-powerpc-di mouse-modules-3.2.0-2-powerpc-di irda-modules-3.2.0-2-powerpc-di nic-pcmcia-modules-3.2.0-2-powerpc-di pcmcia-modules-3.2.0-2-powerpc-di sata-modules-3.2.0-2-powerpc-di core-modules-3.2.0-2-powerpc-di crc-modules-3.2.0-2-powerpc-di crypto-modules-3.2.0-2-powerpc-di crypto-dm-modules-3.2.0-2-powerpc-di ata-modules-3.2.0-2-powerpc-di nbd-modules-3.2.0-2-powerpc-di squashfs-modules-3.2.0-2-powerpc-di virtio-modules-3.2.0-2-powerpc-di uinput-modules-3.2.0-2-powerpc-di zlib-modules-3.2.0-2-powerpc-di kernel-image-3.2.0-2-powerpc64-di
 nic-modules-3.2.0-2-powerpc64-di nic-extra-modules-3.2.0-2-powerpc64-di nic-shared-modules-3.2.0-2-powerpc64-di serial-modules-3.2.0-2-powerpc64-di usb-serial-modules-3.2.0-2-powerpc64-di ppp-modules-3.2.0-2-powerpc64-di pata-modules-3.2.0-2-powerpc64-di cdrom-core-modules-3.2.0-2-powerpc64-di firewire-core-modules-3.2.0-2-powerpc64-di scsi-core-modules-3.2.0-2-powerpc64-di scsi-modules-3.2.0-2-powerpc64-di scsi-common-modules-3.2.0-2-powerpc64-di scsi-extra-modules-3.2.0-2-powerpc64-di floppy-modules-3.2.0-2-powerpc64-di loop-modules-3.2.0-2-powerpc64-di btrfs-modules-3.2.0-2-powerpc64-di ext2-modules-3.2.0-2-powerpc64-di ext3-modules-3.2.0-2-powerpc64-di ext4-modules-3.2.0-2-powerpc64-di isofs-modules-3.2.0-2-powerpc64-di jfs-modules-3.2.0-2-powerpc64-di reiserfs-modules-3.2.0-2-powerpc64-di xfs-modules-3.2.0-2-powerpc64-di fat-modules-3.2.0-2-powerpc64-di hfs-modules-3.2.0-2-powerpc64-di affs-modules-3.2.0-2-powerpc64-di ufs-modules-3.2.0-2-powerpc64-di
 md-modules-3.2.0-2-powerpc64-di multipath-modules-3.2.0-2-powerpc64-di usb-modules-3.2.0-2-powerpc64-di usb-storage-modules-3.2.0-2-powerpc64-di pcmcia-storage-modules-3.2.0-2-powerpc64-di input-modules-3.2.0-2-powerpc64-di event-modules-3.2.0-2-powerpc64-di mouse-modules-3.2.0-2-powerpc64-di irda-modules-3.2.0-2-powerpc64-di nic-pcmcia-modules-3.2.0-2-powerpc64-di pcmcia-modules-3.2.0-2-powerpc64-di sata-modules-3.2.0-2-powerpc64-di core-modules-3.2.0-2-powerpc64-di crc-modules-3.2.0-2-powerpc64-di crypto-modules-3.2.0-2-powerpc64-di crypto-dm-modules-3.2.0-2-powerpc64-di ata-modules-3.2.0-2-powerpc64-di nbd-modules-3.2.0-2-powerpc64-di squashfs-modules-3.2.0-2-powerpc64-di virtio-modules-3.2.0-2-powerpc64-di uinput-modules-3.2.0-2-powerpc64-di hypervisor-modules-3.2.0-2-powerpc64-di fancontrol-modules-3.2.0-2-powerpc64-di linux-image-3.2.0-2-powerpc linux-headers-3.2.0-2-powerpc linux-image-3.2.0-2-powerpc-smp linux-headers-3.2.0-2-powerpc-smp
 linux-image-3.2.0-2-powerpc64 linux-headers-3.2.0-2-powerpc64 linux-headers-3.2.0-2-all-ppc64 linux-headers-3.2.0-2-all-s390 kernel-image-3.2.0-2-s390x-di nic-modules-3.2.0-2-s390x-di scsi-core-modules-3.2.0-2-s390x-di scsi-modules-3.2.0-2-s390x-di ext2-modules-3.2.0-2-s390x-di ext3-modules-3.2.0-2-s390x-di ext4-modules-3.2.0-2-s390x-di xfs-modules-3.2.0-2-s390x-di fat-modules-3.2.0-2-s390x-di md-modules-3.2.0-2-s390x-di multipath-modules-3.2.0-2-s390x-di core-modules-3.2.0-2-s390x-di crypto-modules-3.2.0-2-s390x-di crypto-dm-modules-3.2.0-2-s390x-di nbd-modules-3.2.0-2-s390x-di virtio-modules-3.2.0-2-s390x-di dasd-modules-3.2.0-2-s390x-di dasd-extra-modules-3.2.0-2-s390x-di kernel-image-3.2.0-2-s390x-tape-di linux-image-3.2.0-2-s390x linux-headers-3.2.0-2-s390x linux-image-3.2.0-2-s390x-tape linux-headers-3.2.0-2-all-s390x linux-headers-3.2.0-2-all-sh4 kernel-image-3.2.0-2-sh7751r-di nic-modules-3.2.0-2-sh7751r-di usb-serial-modules-3.2.0-2-sh7751r-di
 ppp-modules-3.2.0-2-sh7751r-di pata-modules-3.2.0-2-sh7751r-di cdrom-core-modules-3.2.0-2-sh7751r-di firewire-core-modules-3.2.0-2-sh7751r-di scsi-core-modules-3.2.0-2-sh7751r-di loop-modules-3.2.0-2-sh7751r-di btrfs-modules-3.2.0-2-sh7751r-di ext2-modules-3.2.0-2-sh7751r-di ext4-modules-3.2.0-2-sh7751r-di isofs-modules-3.2.0-2-sh7751r-di jfs-modules-3.2.0-2-sh7751r-di reiserfs-modules-3.2.0-2-sh7751r-di xfs-modules-3.2.0-2-sh7751r-di fat-modules-3.2.0-2-sh7751r-di ufs-modules-3.2.0-2-sh7751r-di minix-modules-3.2.0-2-sh7751r-di md-modules-3.2.0-2-sh7751r-di multipath-modules-3.2.0-2-sh7751r-di usb-storage-modules-3.2.0-2-sh7751r-di parport-modules-3.2.0-2-sh7751r-di nic-usb-modules-3.2.0-2-sh7751r-di sata-modules-3.2.0-2-sh7751r-di i2c-modules-3.2.0-2-sh7751r-di crc-modules-3.2.0-2-sh7751r-di crypto-modules-3.2.0-2-sh7751r-di crypto-dm-modules-3.2.0-2-sh7751r-di nbd-modules-3.2.0-2-sh7751r-di squashfs-modules-3.2.0-2-sh7751r-di speakup-modules-3.2.0-2-sh7751r-di
 virtio-modules-3.2.0-2-sh7751r-di sound-modules-3.2.0-2-sh7751r-di zlib-modules-3.2.0-2-sh7751r-di kernel-image-3.2.0-2-sh7785lcr-di nic-modules-3.2.0-2-sh7785lcr-di usb-serial-modules-3.2.0-2-sh7785lcr-di ppp-modules-3.2.0-2-sh7785lcr-di pata-modules-3.2.0-2-sh7785lcr-di cdrom-core-modules-3.2.0-2-sh7785lcr-di firewire-core-modules-3.2.0-2-sh7785lcr-di scsi-core-modules-3.2.0-2-sh7785lcr-di loop-modules-3.2.0-2-sh7785lcr-di btrfs-modules-3.2.0-2-sh7785lcr-di ext2-modules-3.2.0-2-sh7785lcr-di ext4-modules-3.2.0-2-sh7785lcr-di isofs-modules-3.2.0-2-sh7785lcr-di jfs-modules-3.2.0-2-sh7785lcr-di reiserfs-modules-3.2.0-2-sh7785lcr-di xfs-modules-3.2.0-2-sh7785lcr-di fat-modules-3.2.0-2-sh7785lcr-di ufs-modules-3.2.0-2-sh7785lcr-di minix-modules-3.2.0-2-sh7785lcr-di md-modules-3.2.0-2-sh7785lcr-di multipath-modules-3.2.0-2-sh7785lcr-di parport-modules-3.2.0-2-sh7785lcr-di nic-usb-modules-3.2.0-2-sh7785lcr-di sata-modules-3.2.0-2-sh7785lcr-di
 crc-modules-3.2.0-2-sh7785lcr-di crypto-modules-3.2.0-2-sh7785lcr-di crypto-dm-modules-3.2.0-2-sh7785lcr-di nbd-modules-3.2.0-2-sh7785lcr-di squashfs-modules-3.2.0-2-sh7785lcr-di speakup-modules-3.2.0-2-sh7785lcr-di sound-modules-3.2.0-2-sh7785lcr-di zlib-modules-3.2.0-2-sh7785lcr-di linux-image-3.2.0-2-sh7751r linux-headers-3.2.0-2-sh7751r linux-image-3.2.0-2-sh7785lcr linux-headers-3.2.0-2-sh7785lcr linux-headers-3.2.0-2-all-sparc kernel-image-3.2.0-2-sparc64-di nic-modules-3.2.0-2-sparc64-di ppp-modules-3.2.0-2-sparc64-di pata-modules-3.2.0-2-sparc64-di cdrom-core-modules-3.2.0-2-sparc64-di scsi-core-modules-3.2.0-2-sparc64-di scsi-modules-3.2.0-2-sparc64-di scsi-common-modules-3.2.0-2-sparc64-di plip-modules-3.2.0-2-sparc64-di btrfs-modules-3.2.0-2-sparc64-di ext2-modules-3.2.0-2-sparc64-di ext3-modules-3.2.0-2-sparc64-di ext4-modules-3.2.0-2-sparc64-di isofs-modules-3.2.0-2-sparc64-di jfs-modules-3.2.0-2-sparc64-di reiserfs-modules-3.2.0-2-sparc64-di
 xfs-modules-3.2.0-2-sparc64-di fat-modules-3.2.0-2-sparc64-di md-modules-3.2.0-2-sparc64-di multipath-modules-3.2.0-2-sparc64-di usb-modules-3.2.0-2-sparc64-di usb-storage-modules-3.2.0-2-sparc64-di input-modules-3.2.0-2-sparc64-di sata-modules-3.2.0-2-sparc64-di core-modules-3.2.0-2-sparc64-di crypto-modules-3.2.0-2-sparc64-di crypto-dm-modules-3.2.0-2-sparc64-di ata-modules-3.2.0-2-sparc64-di nbd-modules-3.2.0-2-sparc64-di squashfs-modules-3.2.0-2-sparc64-di virtio-modules-3.2.0-2-sparc64-di zlib-modules-3.2.0-2-sparc64-di linux-image-3.2.0-2-sparc64 linux-headers-3.2.0-2-sparc64 linux-image-3.2.0-2-sparc64-smp linux-headers-3.2.0-2-sparc64-smp
 linux-headers-3.2.0-2-all-sparc64
Architecture: all source
Version: 3.2.19-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 647436 661057 661151 671292 673391 675022
Description: 
 acpi-modules-3.2.0-2-486-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-2-686-pae-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-2-amd64-di - ACPI support modules (udeb)
 affs-modules-3.2.0-2-powerpc64-di - Amiga filesystem support (udeb)
 affs-modules-3.2.0-2-powerpc-di - Amiga filesystem support (udeb)
 ata-modules-3.2.0-2-486-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-686-pae-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-amd64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-iop32x-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-itanium-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-powerpc64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-powerpc-di - ATA disk modules (udeb)
 ata-modules-3.2.0-2-sparc64-di - ATA disk modules (udeb)
 btrfs-modules-3.2.0-2-486-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-4kc-malta-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-686-pae-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-amd64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-amiga-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-atari-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-iop32x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-itanium-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-kirkwood-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-loongson-2f-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-mac-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-mx5-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-orion5x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-parisc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-parisc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-powerpc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-powerpc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-r4k-ip22-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-r5k-cobalt-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-r5k-ip32-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-sb1-bcm91250a-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-sh7751r-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-sh7785lcr-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-sparc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-2-versatile-di - BTRFS filesystem support (udeb)
 cdrom-core-modules-3.2.0-2-486-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-4kc-malta-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-686-pae-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-amd64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-amiga-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-atari-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-iop32x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-itanium-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-kirkwood-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-loongson-2f-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-mac-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-orion5x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-parisc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-parisc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-powerpc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-powerpc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-sb1-bcm91250a-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-sh7751r-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-sh7785lcr-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-sparc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-2-versatile-di - CDROM support (udeb)
 core-modules-3.2.0-2-486-di - Core modules (udeb)
 core-modules-3.2.0-2-686-pae-di - Core modules (udeb)
 core-modules-3.2.0-2-amd64-di - Core modules (udeb)
 core-modules-3.2.0-2-iop32x-di - Core modules (udeb)
 core-modules-3.2.0-2-itanium-di - Core modules (udeb)
 core-modules-3.2.0-2-kirkwood-di - Core modules (udeb)
 core-modules-3.2.0-2-mx5-di - Core modules (udeb)
 core-modules-3.2.0-2-orion5x-di - Core modules (udeb)
 core-modules-3.2.0-2-powerpc64-di - Core modules (udeb)
 core-modules-3.2.0-2-powerpc-di - Core modules (udeb)
 core-modules-3.2.0-2-s390x-di - Core modules (udeb)
 core-modules-3.2.0-2-sparc64-di - Core modules (udeb)
 core-modules-3.2.0-2-versatile-di - Core modules (udeb)
 crc-modules-3.2.0-2-486-di - CRC modules (udeb)
 crc-modules-3.2.0-2-686-pae-di - CRC modules (udeb)
 crc-modules-3.2.0-2-amd64-di - CRC modules (udeb)
 crc-modules-3.2.0-2-iop32x-di - CRC modules (udeb)
 crc-modules-3.2.0-2-itanium-di - CRC modules (udeb)
 crc-modules-3.2.0-2-kirkwood-di - CRC modules (udeb)
 crc-modules-3.2.0-2-mx5-di - CRC modules (udeb)
 crc-modules-3.2.0-2-orion5x-di - CRC modules (udeb)
 crc-modules-3.2.0-2-powerpc64-di - CRC modules (udeb)
 crc-modules-3.2.0-2-powerpc-di - CRC modules (udeb)
 crc-modules-3.2.0-2-sh7751r-di - CRC modules (udeb)
 crc-modules-3.2.0-2-sh7785lcr-di - CRC modules (udeb)
 crc-modules-3.2.0-2-versatile-di - CRC modules (udeb)
 crypto-dm-modules-3.2.0-2-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-4kc-malta-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-686-pae-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-amd64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-iop32x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-itanium-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-kirkwood-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-loongson-2f-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-mx5-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-orion5x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-parisc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-parisc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-powerpc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-powerpc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-r4k-ip22-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-r5k-cobalt-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-r5k-ip32-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-s390x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-sb1-bcm91250a-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-sh7751r-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-sh7785lcr-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-sparc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-2-versatile-di - devicemapper crypto module (udeb)
 crypto-modules-3.2.0-2-486-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-4kc-malta-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-686-pae-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-amd64-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-amiga-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-atari-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-iop32x-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-itanium-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-kirkwood-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-loongson-2f-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-mac-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-mx5-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-orion5x-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-parisc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-parisc-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-powerpc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-powerpc-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-r4k-ip22-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-r5k-cobalt-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-r5k-ip32-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-s390x-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-sb1-bcm91250a-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-sh7751r-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-sh7785lcr-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-sparc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-2-versatile-di - crypto modules (udeb)
 dasd-extra-modules-3.2.0-2-s390x-di - optional dasd DIAG support (udeb)
 dasd-modules-3.2.0-2-s390x-di - dasd modules (udeb)
 efi-modules-3.2.0-2-486-di - EFI modules (udeb)
 efi-modules-3.2.0-2-686-pae-di - EFI modules (udeb)
 efi-modules-3.2.0-2-amd64-di - EFI modules (udeb)
 efi-modules-3.2.0-2-itanium-di - EFI modules (udeb)
 event-modules-3.2.0-2-486-di - Event support (udeb)
 event-modules-3.2.0-2-686-pae-di - Event support (udeb)
 event-modules-3.2.0-2-amd64-di - Event support (udeb)
 event-modules-3.2.0-2-iop32x-di - Event support (udeb)
 event-modules-3.2.0-2-itanium-di - Event support (udeb)
 event-modules-3.2.0-2-kirkwood-di - Event support (udeb)
 event-modules-3.2.0-2-orion5x-di - Event support (udeb)
 event-modules-3.2.0-2-powerpc64-di - Event support (udeb)
 event-modules-3.2.0-2-powerpc-di - Event support (udeb)
 ext2-modules-3.2.0-2-486-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-686-pae-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-amd64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-iop32x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-itanium-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-kirkwood-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-mx5-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-orion5x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-powerpc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-powerpc-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-s390x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-sh7751r-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-sh7785lcr-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-sparc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-2-versatile-di - EXT2 filesystem support (udeb)
 ext3-modules-3.2.0-2-486-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-686-pae-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-amd64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-iop32x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-itanium-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-kirkwood-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-mx5-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-orion5x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-parisc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-parisc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-powerpc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-powerpc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-s390x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-sparc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-2-versatile-di - EXT3 filesystem support (udeb)
 ext4-modules-3.2.0-2-486-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-686-pae-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-amd64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-iop32x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-itanium-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-kirkwood-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-mx5-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-orion5x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-parisc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-parisc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-powerpc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-powerpc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-s390x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-sh7751r-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-sh7785lcr-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-sparc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-2-versatile-di - EXT4 filesystem support (udeb)
 fancontrol-modules-3.2.0-2-powerpc64-di - Apple powermac fancontrol modules (udeb)
 fat-modules-3.2.0-2-486-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-4kc-malta-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-686-pae-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-amd64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-amiga-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-atari-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-iop32x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-itanium-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-kirkwood-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-loongson-2f-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-mac-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-mx5-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-orion5x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-parisc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-parisc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-powerpc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-powerpc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-r5k-cobalt-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-s390x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-sb1-bcm91250a-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-sh7751r-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-sh7785lcr-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-sparc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-2-versatile-di - FAT filesystem support (udeb)
 fb-modules-3.2.0-2-486-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-686-pae-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-amd64-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-itanium-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-kirkwood-di - Frame buffer support (udeb)
 fb-modules-3.2.0-2-sb1-bcm91250a-di - Frame buffer support (udeb)
 firewire-core-modules-3.2.0-2-486-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-686-pae-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-amd64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-itanium-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-powerpc64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-powerpc-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-sh7751r-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-2-sh7785lcr-di - Core FireWire drivers (udeb)
 floppy-modules-3.2.0-2-486-di - Floppy driver (udeb)
 floppy-modules-3.2.0-2-686-pae-di - Floppy driver (udeb)
 floppy-modules-3.2.0-2-amd64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-2-powerpc64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-2-powerpc-di - Floppy driver (udeb)
 hfs-modules-3.2.0-2-powerpc64-di - HFS filesystem support (udeb)
 hfs-modules-3.2.0-2-powerpc-di - HFS filesystem support (udeb)
 hypervisor-modules-3.2.0-2-powerpc64-di - IBM 64bit hypervisor console modules (udeb)
 hyperv-modules-3.2.0-2-486-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-2-686-pae-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-2-amd64-di - Hyper-V modules (udeb)
 i2c-modules-3.2.0-2-486-di - i2c support modules (udeb)
 i2c-modules-3.2.0-2-686-pae-di - i2c support modules (udeb)
 i2c-modules-3.2.0-2-amd64-di - i2c support modules (udeb)
 i2c-modules-3.2.0-2-sh7751r-di - i2c support modules (udeb)
 ide-core-modules-3.2.0-2-itanium-di - IDE support (udeb)
 ide-modules-3.2.0-2-itanium-di - IDE drivers (udeb)
 input-modules-3.2.0-2-486-di - Input devices support (udeb)
 input-modules-3.2.0-2-4kc-malta-di - Input devices support (udeb)
 input-modules-3.2.0-2-686-pae-di - Input devices support (udeb)
 input-modules-3.2.0-2-amd64-di - Input devices support (udeb)
 input-modules-3.2.0-2-itanium-di - Input devices support (udeb)
 input-modules-3.2.0-2-kirkwood-di - Input devices support (udeb)
 input-modules-3.2.0-2-loongson-2f-di - Input devices support (udeb)
 input-modules-3.2.0-2-mx5-di - Input devices support (udeb)
 input-modules-3.2.0-2-parisc64-di - Input devices support (udeb)
 input-modules-3.2.0-2-parisc-di - Input devices support (udeb)
 input-modules-3.2.0-2-powerpc64-di - Input devices support (udeb)
 input-modules-3.2.0-2-powerpc-di - Input devices support (udeb)
 input-modules-3.2.0-2-sb1-bcm91250a-di - Input devices support (udeb)
 input-modules-3.2.0-2-sparc64-di - Input devices support (udeb)
 ipv6-modules-3.2.0-2-4kc-malta-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-itanium-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-loongson-2f-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-parisc64-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-parisc-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-r4k-ip22-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-r5k-cobalt-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-r5k-ip32-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-2-sb1-bcm91250a-di - IPv6 driver (udeb)
 irda-modules-3.2.0-2-486-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-686-pae-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-amd64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-itanium-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-powerpc64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-2-powerpc-di - Infrared devices support (udeb)
 isofs-modules-3.2.0-2-486-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-4kc-malta-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-686-pae-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-amd64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-amiga-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-atari-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-iop32x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-itanium-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-kirkwood-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-loongson-2f-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-mac-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-mx5-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-orion5x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-powerpc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-powerpc-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-r4k-ip22-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-r5k-ip32-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-sb1-bcm91250a-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-sh7751r-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-sh7785lcr-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-sparc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-2-versatile-di - ISOFS filesystem support (udeb)
 jffs2-modules-3.2.0-2-iop32x-di - JFFS2 filesystem support (udeb)
 jffs2-modules-3.2.0-2-orion5x-di - JFFS2 filesystem support (udeb)
 jfs-modules-3.2.0-2-486-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-4kc-malta-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-686-pae-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-amd64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-amiga-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-atari-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-iop32x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-itanium-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-kirkwood-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-loongson-2f-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-mac-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-mx5-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-orion5x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-powerpc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-powerpc-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-r4k-ip22-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-r5k-cobalt-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-r5k-ip32-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-sb1-bcm91250a-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-sh7751r-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-sh7785lcr-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-2-sparc64-di - JFS filesystem support (udeb)
 kernel-image-3.2.0-2-486-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-4kc-malta-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-686-pae-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-amd64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-amiga-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-atari-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-iop32x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-itanium-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-kirkwood-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-loongson-2f-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-mac-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-mx5-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-orion5x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-parisc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-parisc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-powerpc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-powerpc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-r4k-ip22-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-r5k-cobalt-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-r5k-ip32-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-s390x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-s390x-tape-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-sb1-bcm91250a-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-sh7751r-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-sh7785lcr-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-sparc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-2-versatile-di - Linux kernel binary image for the Debian installer (udeb)
 leds-modules-3.2.0-2-kirkwood-di - LED modules (udeb)
 linux-doc-3.2 - Linux kernel specific documentation for version 3.2
 linux-headers-3.2.0-2-486 - Header files for Linux 3.2.0-2-486
 linux-headers-3.2.0-2-4kc-malta - Header files for Linux 3.2.0-2-4kc-malta
 linux-headers-3.2.0-2-5kc-malta - Header files for Linux 3.2.0-2-5kc-malta
 linux-headers-3.2.0-2-686-pae - Header files for Linux 3.2.0-2-686-pae
 linux-headers-3.2.0-2-all - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-alpha - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-amd64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-armel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-armhf - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-hppa - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-i386 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-ia64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-m68k - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-mips - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-mipsel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-powerpc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-ppc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-s390 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-s390x - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-sh4 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-sparc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-all-sparc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-2-alpha-generic - Header files for Linux 3.2.0-2-alpha-generic
 linux-headers-3.2.0-2-alpha-legacy - Header files for Linux 3.2.0-2-alpha-legacy
 linux-headers-3.2.0-2-alpha-smp - Header files for Linux 3.2.0-2-alpha-smp
 linux-headers-3.2.0-2-amd64 - Header files for Linux 3.2.0-2-amd64
 linux-headers-3.2.0-2-amiga - Header files for Linux 3.2.0-2-amiga
 linux-headers-3.2.0-2-atari - Header files for Linux 3.2.0-2-atari
 linux-headers-3.2.0-2-bvme6000 - Header files for Linux 3.2.0-2-bvme6000
 linux-headers-3.2.0-2-common - Common header files for Linux 3.2.0-2
 linux-headers-3.2.0-2-common-rt - Common header files for Linux 3.2.0-2-rt
 linux-headers-3.2.0-2-iop32x - Header files for Linux 3.2.0-2-iop32x
 linux-headers-3.2.0-2-itanium - Header files for Linux 3.2.0-2-itanium
 linux-headers-3.2.0-2-ixp4xx - Header files for Linux 3.2.0-2-ixp4xx
 linux-headers-3.2.0-2-kirkwood - Header files for Linux 3.2.0-2-kirkwood
 linux-headers-3.2.0-2-loongson-2f - Header files for Linux 3.2.0-2-loongson-2f
 linux-headers-3.2.0-2-mac - Header files for Linux 3.2.0-2-mac
 linux-headers-3.2.0-2-mckinley - Header files for Linux 3.2.0-2-mckinley
 linux-headers-3.2.0-2-mv78xx0 - Header files for Linux 3.2.0-2-mv78xx0
 linux-headers-3.2.0-2-mvme147 - Header files for Linux 3.2.0-2-mvme147
 linux-headers-3.2.0-2-mvme16x - Header files for Linux 3.2.0-2-mvme16x
 linux-headers-3.2.0-2-mx5 - Header files for Linux 3.2.0-2-mx5
 linux-headers-3.2.0-2-octeon - Header files for Linux 3.2.0-2-octeon
 linux-headers-3.2.0-2-omap - Header files for Linux 3.2.0-2-omap
 linux-headers-3.2.0-2-orion5x - Header files for Linux 3.2.0-2-orion5x
 linux-headers-3.2.0-2-parisc64 - Header files for Linux 3.2.0-2-parisc64
 linux-headers-3.2.0-2-parisc64-smp - Header files for Linux 3.2.0-2-parisc64-smp
 linux-headers-3.2.0-2-parisc - Header files for Linux 3.2.0-2-parisc
 linux-headers-3.2.0-2-parisc-smp - Header files for Linux 3.2.0-2-parisc-smp
 linux-headers-3.2.0-2-powerpc64 - Header files for Linux 3.2.0-2-powerpc64
 linux-headers-3.2.0-2-powerpc - Header files for Linux 3.2.0-2-powerpc
 linux-headers-3.2.0-2-powerpc-smp - Header files for Linux 3.2.0-2-powerpc-smp
 linux-headers-3.2.0-2-r4k-ip22 - Header files for Linux 3.2.0-2-r4k-ip22
 linux-headers-3.2.0-2-r5k-cobalt - Header files for Linux 3.2.0-2-r5k-cobalt
 linux-headers-3.2.0-2-r5k-ip32 - Header files for Linux 3.2.0-2-r5k-ip32
 linux-headers-3.2.0-2-rt-686-pae - Header files for Linux 3.2.0-2-rt-686-pae
 linux-headers-3.2.0-2-rt-amd64 - Header files for Linux 3.2.0-2-rt-amd64
 linux-headers-3.2.0-2-s390x - Header files for Linux 3.2.0-2-s390x
 linux-headers-3.2.0-2-sb1a-bcm91480b - Header files for Linux 3.2.0-2-sb1a-bcm91480b
 linux-headers-3.2.0-2-sb1-bcm91250a - Header files for Linux 3.2.0-2-sb1-bcm91250a
 linux-headers-3.2.0-2-sh7751r - Header files for Linux 3.2.0-2-sh7751r
 linux-headers-3.2.0-2-sh7785lcr - Header files for Linux 3.2.0-2-sh7785lcr
 linux-headers-3.2.0-2-sparc64 - Header files for Linux 3.2.0-2-sparc64
 linux-headers-3.2.0-2-sparc64-smp - Header files for Linux 3.2.0-2-sparc64-smp
 linux-headers-3.2.0-2-versatile - Header files for Linux 3.2.0-2-versatile
 linux-headers-3.2.0-2-vexpress - Header files for Linux 3.2.0-2-vexpress
 linux-image-3.2.0-2-486 - Linux 3.2 for older PCs
 linux-image-3.2.0-2-4kc-malta - Linux 3.2 for MIPS Malta
 linux-image-3.2.0-2-5kc-malta - Linux 3.2 for MIPS Malta (64-bit)
 linux-image-3.2.0-2-686-pae-dbg - Debugging infos for Linux 3.2.0-2-686-pae
 linux-image-3.2.0-2-686-pae - Linux 3.2 for modern PCs
 linux-image-3.2.0-2-alpha-generic - Linux 3.2 for Alpha
 linux-image-3.2.0-2-alpha-legacy - Linux 3.2 for Alpha Legacy
 linux-image-3.2.0-2-alpha-smp - Linux 3.2 for Alpha SMP
 linux-image-3.2.0-2-amd64-dbg - Debugging infos for Linux 3.2.0-2-amd64
 linux-image-3.2.0-2-amd64 - Linux 3.2 for 64-bit PCs
 linux-image-3.2.0-2-amiga - Linux 3.2 for Amiga
 linux-image-3.2.0-2-atari - Linux 3.2 for Atari
 linux-image-3.2.0-2-bvme6000 - Linux 3.2 for BVM BVME4000 and BVME6000
 linux-image-3.2.0-2-iop32x - Linux 3.2 for IOP32x
 linux-image-3.2.0-2-itanium - Linux 3.2 for Itanium
 linux-image-3.2.0-2-ixp4xx - Linux 3.2 for IXP4xx
 linux-image-3.2.0-2-kirkwood - Linux 3.2 for Marvell Kirkwood
 linux-image-3.2.0-2-loongson-2f - Linux 3.2 for Loongson 2F
 linux-image-3.2.0-2-mac - Linux 3.2 for Macintosh
 linux-image-3.2.0-2-mckinley - Linux 3.2 for Itanium II
 linux-image-3.2.0-2-mv78xx0 - Linux 3.2 for Marvell 78xx0
 linux-image-3.2.0-2-mvme147 - Linux 3.2 for Motorola MVME147
 linux-image-3.2.0-2-mvme16x - Linux 3.2 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.2.0-2-mx5 - Linux 3.2 for Freescale i.MX51
 linux-image-3.2.0-2-octeon - Linux 3.2 for Octeon
 linux-image-3.2.0-2-omap - Linux 3.2 for TI OMAP3+
 linux-image-3.2.0-2-orion5x - Linux 3.2 for Marvell Orion
 linux-image-3.2.0-2-parisc64 - Linux 3.2 for 64-bit PA-RISC
 linux-image-3.2.0-2-parisc64-smp - Linux 3.2 for multiprocessor 64-bit PA-RISC
 linux-image-3.2.0-2-parisc - Linux 3.2 for 32-bit PA-RISC
 linux-image-3.2.0-2-parisc-smp - Linux 3.2 for multiprocessor 32-bit PA-RISC
 linux-image-3.2.0-2-powerpc64 - Linux 3.2 for 64-bit PowerPC
 linux-image-3.2.0-2-powerpc - Linux 3.2 for uniprocessor 32-bit PowerPC
 linux-image-3.2.0-2-powerpc-smp - Linux 3.2 for multiprocessor 32-bit PowerPC
 linux-image-3.2.0-2-r4k-ip22 - Linux 3.2 for SGI IP22
 linux-image-3.2.0-2-r5k-cobalt - Linux 3.2 for Cobalt
 linux-image-3.2.0-2-r5k-ip32 - Linux 3.2 for SGI IP32
 linux-image-3.2.0-2-rt-686-pae-dbg - Debugging infos for Linux 3.2.0-2-rt-686-pae
 linux-image-3.2.0-2-rt-686-pae - Linux 3.2 for modern PCs, PREEMPT_RT
 linux-image-3.2.0-2-rt-amd64-dbg - Debugging infos for Linux 3.2.0-2-rt-amd64
 linux-image-3.2.0-2-rt-amd64 - Linux 3.2 for 64-bit PCs, PREEMPT_RT
 linux-image-3.2.0-2-s390x - Linux 3.2 for IBM zSeries
 linux-image-3.2.0-2-s390x-tape - Linux 3.2 for IBM zSeries, IPL from tape
 linux-image-3.2.0-2-sb1a-bcm91480b - Linux 3.2 for BCM91480B
 linux-image-3.2.0-2-sb1-bcm91250a - Linux 3.2 for BCM91250A
 linux-image-3.2.0-2-sh7751r - Linux 3.2 for sh7751r
 linux-image-3.2.0-2-sh7785lcr - Linux 3.2 for sh7785lcr
 linux-image-3.2.0-2-sparc64 - Linux 3.2 for uniprocessor 64-bit UltraSPARC
 linux-image-3.2.0-2-sparc64-smp - Linux 3.2 for multiprocessor 64-bit UltraSPARC
 linux-image-3.2.0-2-versatile - Linux 3.2 for Versatile
 linux-image-3.2.0-2-vexpress - Linux 3.2 for ARM Ltd. Versatile Express
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.2 - Linux kernel API manual pages for version 3.2
 linux-patch-debian-3.2 - Debian patches to version 3.2 of the Linux kernel
 linux-source-3.2 - Linux kernel source for version 3.2 with Debian patches
 linux-support-3.2.0-2 - Support files for Linux 3.2
 loop-modules-3.2.0-2-486-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-4kc-malta-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-686-pae-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-amd64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-iop32x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-itanium-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-kirkwood-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-loongson-2f-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-mx5-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-orion5x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-parisc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-parisc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-powerpc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-powerpc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-r4k-ip22-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-r5k-cobalt-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-r5k-ip32-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-sb1-bcm91250a-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-sh7751r-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-sh7785lcr-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-2-versatile-di - Loopback filesystem support (udeb)
 md-modules-3.2.0-2-486-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-4kc-malta-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-686-pae-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-amd64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-amiga-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-atari-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-iop32x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-itanium-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-kirkwood-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-loongson-2f-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-mac-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-mx5-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-orion5x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-parisc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-parisc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-powerpc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-powerpc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-r4k-ip22-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-r5k-cobalt-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-r5k-ip32-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-s390x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-sb1-bcm91250a-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-sh7751r-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-sh7785lcr-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-sparc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-2-versatile-di - RAID and LVM support (udeb)
 minix-modules-3.2.0-2-kirkwood-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-2-mx5-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-2-orion5x-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-2-sh7751r-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-2-sh7785lcr-di - Minix filesystem support (udeb)
 mmc-core-modules-3.2.0-2-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-2-686-pae-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-2-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-3.2.0-2-486-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-2-686-pae-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-2-amd64-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-2-kirkwood-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-2-mx5-di - MMC/SD card modules (udeb)
 mouse-modules-3.2.0-2-486-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-686-pae-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-amd64-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-itanium-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-kirkwood-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-powerpc64-di - Mouse support (udeb)
 mouse-modules-3.2.0-2-powerpc-di - Mouse support (udeb)
 multipath-modules-3.2.0-2-486-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-4kc-malta-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-686-pae-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-amd64-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-iop32x-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-itanium-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-kirkwood-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-loongson-2f-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-mx5-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-orion5x-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-parisc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-parisc-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-powerpc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-powerpc-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-r4k-ip22-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-r5k-cobalt-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-r5k-ip32-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-s390x-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-sb1-bcm91250a-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-sh7751r-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-sh7785lcr-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-sparc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-2-versatile-di - Multipath support (udeb)
 nbd-modules-3.2.0-2-486-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-4kc-malta-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-686-pae-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-amd64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-amiga-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-atari-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-iop32x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-itanium-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-kirkwood-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-loongson-2f-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-mac-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-mx5-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-orion5x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-parisc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-parisc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-powerpc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-powerpc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-r4k-ip22-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-r5k-cobalt-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-r5k-ip32-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-s390x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-sb1-bcm91250a-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-sh7751r-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-sh7785lcr-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-sparc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-2-versatile-di - Network Block Device modules (udeb)
 nfs-modules-3.2.0-2-r5k-cobalt-di - NFS filesystem support (udeb)
 nic-extra-modules-3.2.0-2-486-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-2-686-pae-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-2-amd64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-2-powerpc64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-2-powerpc-di - Rare NIC drivers (udeb)
 nic-modules-3.2.0-2-486-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-686-pae-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-amd64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-iop32x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-itanium-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-kirkwood-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-loongson-2f-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-mx5-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-orion5x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-parisc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-parisc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-powerpc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-powerpc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-s390x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-sh7751r-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-sh7785lcr-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-2-sparc64-di - Network card modules for Sparc kernels (udeb)
 nic-modules-3.2.0-2-versatile-di - Common NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-486-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-686-pae-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-amd64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-powerpc64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-2-powerpc-di - Common PCMCIA NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-686-pae-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-amd64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-amiga-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-atari-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-iop32x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-itanium-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-kirkwood-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-loongson-2f-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-mac-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-mx5-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-orion5x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-powerpc64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-powerpc-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-r4k-ip22-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-r5k-cobalt-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-r5k-ip32-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-sb1-bcm91250a-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-2-versatile-di - Shared NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-486-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-686-pae-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-amd64-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-iop32x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-itanium-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-kirkwood-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-loongson-2f-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-mx5-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-orion5x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-sh7751r-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-sh7785lcr-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-2-versatile-di - USB NIC drivers (udeb)
 nic-wireless-modules-3.2.0-2-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-2-686-pae-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-2-amd64-di - Wireless NIC drivers (udeb)
 ntfs-modules-3.2.0-2-486-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-2-686-pae-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-2-amd64-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-2-itanium-di - NTFS filesystem support (udeb)
 parport-modules-3.2.0-2-486-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-686-pae-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-amd64-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-itanium-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-sh7751r-di - Parallel port support (udeb)
 parport-modules-3.2.0-2-sh7785lcr-di - Parallel port support (udeb)
 pata-modules-3.2.0-2-486-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-686-pae-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-amd64-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-iop32x-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-itanium-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-parisc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-parisc-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-powerpc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-powerpc-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-sh7751r-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-sh7785lcr-di - PATA drivers (udeb)
 pata-modules-3.2.0-2-sparc64-di - PATA drivers (udeb)
 pcmcia-modules-3.2.0-2-486-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-686-pae-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-amd64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-itanium-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-powerpc64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-2-powerpc-di - Common PCMCIA drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-486-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-686-pae-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-amd64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-powerpc64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-2-powerpc-di - PCMCIA storage drivers (udeb)
 plip-modules-3.2.0-2-486-di - PLIP drivers (udeb)
 plip-modules-3.2.0-2-686-pae-di - PLIP drivers (udeb)
 plip-modules-3.2.0-2-amd64-di - PLIP drivers (udeb)
 plip-modules-3.2.0-2-itanium-di - PLIP drivers (udeb)
 plip-modules-3.2.0-2-sparc64-di - PLIP drivers (udeb)
 ppp-modules-3.2.0-2-486-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-4kc-malta-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-686-pae-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-amd64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-amiga-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-atari-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-iop32x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-itanium-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-kirkwood-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-loongson-2f-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-mac-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-orion5x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-parisc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-parisc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-powerpc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-powerpc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-r5k-cobalt-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-sb1-bcm91250a-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-sh7751r-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-sh7785lcr-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-sparc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-2-versatile-di - PPP drivers (udeb)
 qnx4-modules-3.2.0-2-486-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-2-686-pae-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-2-amd64-di - QNX4 filesystem support (udeb)
 reiserfs-modules-3.2.0-2-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-4kc-malta-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-686-pae-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-amd64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-amiga-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-atari-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-iop32x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-itanium-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-kirkwood-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-loongson-2f-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-mac-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-mx5-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-orion5x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-powerpc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-powerpc-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-r4k-ip22-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-r5k-cobalt-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-r5k-ip32-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-sb1-bcm91250a-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-sh7751r-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-sh7785lcr-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-sparc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-2-versatile-di - Reiser filesystem support (udeb)
 rtc-modules-3.2.0-2-sb1-bcm91250a-di - RTC modules (udeb)
 sata-modules-3.2.0-2-486-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-4kc-malta-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-686-pae-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-amd64-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-iop32x-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-itanium-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-kirkwood-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-loongson-2f-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-orion5x-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-powerpc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-powerpc-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-sb1-bcm91250a-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-sh7751r-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-sh7785lcr-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-sparc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-2-versatile-di - SATA drivers (udeb)
 scsi-common-modules-3.2.0-2-486-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-686-pae-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-amd64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-powerpc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-powerpc-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-sb1-bcm91250a-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-sparc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-2-versatile-di - Very common SCSI drivers (udeb)
 scsi-core-modules-3.2.0-2-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-686-pae-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-amd64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-iop32x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-itanium-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-kirkwood-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-mx5-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-orion5x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-parisc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-parisc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-powerpc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-powerpc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-s390x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-sb1-bcm91250a-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-sh7751r-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-sh7785lcr-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-sparc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-2-versatile-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-3.2.0-2-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-2-686-pae-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-2-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-2-powerpc64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-2-powerpc-di - Uncommon SCSI drivers (udeb)
 scsi-modules-3.2.0-2-486-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-686-pae-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-amd64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-amiga-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-atari-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-itanium-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-mac-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-parisc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-parisc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-powerpc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-powerpc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-s390x-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-sb1-bcm91250a-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-2-sparc64-di - SCSI drivers (udeb)
 serial-modules-3.2.0-2-486-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-686-pae-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-amd64-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-itanium-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-powerpc64-di - Serial drivers (udeb)
 serial-modules-3.2.0-2-powerpc-di - Serial drivers (udeb)
 sn-modules-3.2.0-2-itanium-di - SN modules (udeb)
 sound-modules-3.2.0-2-486-di - sound support (udeb)
 sound-modules-3.2.0-2-686-pae-di - sound support (udeb)
 sound-modules-3.2.0-2-amd64-di - sound support (udeb)
 sound-modules-3.2.0-2-sh7751r-di - sound support (udeb)
 sound-modules-3.2.0-2-sh7785lcr-di - sound support (udeb)
 speakup-modules-3.2.0-2-486-di - speakup modules (udeb)
 speakup-modules-3.2.0-2-686-pae-di - speakup modules (udeb)
 speakup-modules-3.2.0-2-amd64-di - speakup modules (udeb)
 speakup-modules-3.2.0-2-sh7751r-di - speakup modules (udeb)
 speakup-modules-3.2.0-2-sh7785lcr-di - speakup modules (udeb)
 squashfs-modules-3.2.0-2-486-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-4kc-malta-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-686-pae-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-amd64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-amiga-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-atari-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-iop32x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-itanium-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-kirkwood-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-loongson-2f-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-mac-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-mx5-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-orion5x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-powerpc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-powerpc-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-r4k-ip22-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-r5k-cobalt-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-r5k-ip32-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-sb1-bcm91250a-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-sh7751r-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-sh7785lcr-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-sparc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-2-versatile-di - squashfs modules (udeb)
 ufs-modules-3.2.0-2-486-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-686-pae-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-amd64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-itanium-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-powerpc64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-powerpc-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-sh7751r-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-2-sh7785lcr-di - UFS filesystem support (udeb)
 uinput-modules-3.2.0-2-486-di - uinput support (udeb)
 uinput-modules-3.2.0-2-686-pae-di - uinput support (udeb)
 uinput-modules-3.2.0-2-amd64-di - uinput support (udeb)
 uinput-modules-3.2.0-2-itanium-di - uinput support (udeb)
 uinput-modules-3.2.0-2-kirkwood-di - uinput support (udeb)
 uinput-modules-3.2.0-2-mx5-di - uinput support (udeb)
 uinput-modules-3.2.0-2-powerpc64-di - uinput support (udeb)
 uinput-modules-3.2.0-2-powerpc-di - uinput support (udeb)
 usb-modules-3.2.0-2-486-di - USB support (udeb)
 usb-modules-3.2.0-2-4kc-malta-di - USB support (udeb)
 usb-modules-3.2.0-2-686-pae-di - USB support (udeb)
 usb-modules-3.2.0-2-amd64-di - USB support (udeb)
 usb-modules-3.2.0-2-iop32x-di - USB support (udeb)
 usb-modules-3.2.0-2-itanium-di - USB support (udeb)
 usb-modules-3.2.0-2-kirkwood-di - USB support (udeb)
 usb-modules-3.2.0-2-loongson-2f-di - USB support (udeb)
 usb-modules-3.2.0-2-orion5x-di - USB support (udeb)
 usb-modules-3.2.0-2-parisc64-di - USB support (udeb)
 usb-modules-3.2.0-2-parisc-di - USB support (udeb)
 usb-modules-3.2.0-2-powerpc64-di - USB support (udeb)
 usb-modules-3.2.0-2-powerpc-di - USB support (udeb)
 usb-modules-3.2.0-2-sb1-bcm91250a-di - USB support (udeb)
 usb-modules-3.2.0-2-sparc64-di - USB support (udeb)
 usb-modules-3.2.0-2-versatile-di - USB support (udeb)
 usb-serial-modules-3.2.0-2-486-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-686-pae-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-amd64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-iop32x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-kirkwood-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-orion5x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-powerpc64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-powerpc-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-sh7751r-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-sh7785lcr-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-2-versatile-di - USB serial drivers (udeb)
 usb-storage-modules-3.2.0-2-486-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-4kc-malta-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-686-pae-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-amd64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-iop32x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-itanium-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-kirkwood-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-loongson-2f-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-mx5-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-orion5x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-parisc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-parisc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-powerpc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-powerpc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-sb1-bcm91250a-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-sh7751r-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-sparc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-2-versatile-di - USB storage support (udeb)
 virtio-modules-3.2.0-2-486-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-4kc-malta-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-686-pae-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-amd64-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-loongson-2f-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-powerpc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-powerpc-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-s390x-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-sh7751r-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-sparc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-2-versatile-di - virtio modules (udeb)
 xen-linux-system-3.2.0-2-686-pae - Xen system with Linux 3.2 on modern PCs (meta-package)
 xen-linux-system-3.2.0-2-amd64 - Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 xfs-modules-3.2.0-2-486-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-4kc-malta-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-686-pae-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-amd64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-itanium-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-loongson-2f-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-powerpc64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-powerpc-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-r4k-ip22-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-r5k-cobalt-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-r5k-ip32-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-s390x-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-sb1-bcm91250a-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-sh7751r-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-sh7785lcr-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-2-sparc64-di - XFS filesystem support (udeb)
 zlib-modules-3.2.0-2-486-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-4kc-malta-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-686-pae-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-amd64-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-amiga-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-atari-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-iop32x-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-itanium-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-loongson-2f-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-mac-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-orion5x-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-parisc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-parisc-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-powerpc-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-r4k-ip22-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-r5k-cobalt-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-r5k-ip32-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-sb1-bcm91250a-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-sh7751r-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-sh7785lcr-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-sparc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-2-versatile-di - zlib modules (udeb)
Changes: 
 linux-2.6 (3.2.19-1) unstable; urgency=low
 .
   * New upstream stable update:
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.19
     - hpsa: Fix problem with MSA2xxx devices (Closes: #661057)
     - IB/core: Fix mismatch between locked and pinned pages
     - iommu: Fix off by one in dmar_get_fault_reason()
     - vfs: make AIO use the proper rw_verify_area() area helpers
     - HID: logitech: read all 32 bits of report type bitfield (Closes: #671292)
     - USB: Remove races in devio.c
     - ext{3,4}: Fix error handling on inode bitmap corruption
     - uvcvideo: Fix ENUMINPUT handling
     - dl2k: Clean up rio_ioctl (CVE-2012-2313)
     - [x86] MCE: Fix vm86 handling for 32bit mce handler
     - [x86] mce: Fix check for processor context when machine check was taken.
     - ethtool: Null-terminate filename passed to ethtool_ops::flash_device
     - NFSv4: Fix buffer overflows in ACL support (CVE-2012-2375)
       + Avoid reading past buffer when calling GETACL
       + Avoid beyond bounds copy while caching ACL
 .
   [ Ben Hutchings ]
   * be2net: Backport most changes up to Linux 3.5-rc1, thanks to
     Sarveshwar Bandi (Closes: #673391)
     - Add support for Skyhawk cards
   * net/sched: Add codel and fq_codel from Linux 3.5-rc1
   * [x86] udeb: Add hyperv-modules containing Hyper-V paravirtualised drivers
   * [x86] ata_piix: defer disks to the Hyper-V drivers by default
   * [x86] drm/i915:: Disable FBC on SandyBridge (Closes: #675022)
   * AppArmor: compatibility patch for v5 interface (Closes: #661151)
   * hugepages: fix use after free bug in "quota" handling (CVE-2012-2133)
   * [x86] mm: pmd_read_atomic: fix 32bit PAE pmd walk vs pmd_populate SMP race
     condition (CVE-2012-2373)
   * hugetlb: fix resv_map leak in error path (CVE-2012-2390)
   * [SCSI] fix scsi_wait_scan (Closes: #647436)
Checksums-Sha1: 
 889aa9386c801d52befb73a58645d0072a7c3698 94462 linux-2.6_3.2.19-1.dsc
 19f546f1f5c9ff0e856b88354cf4bc5b20dd5a1a 98479853 linux-2.6_3.2.19.orig.tar.gz
 bcf3402e636fcb4f6ee3c37fa0a22506b1d8ab50 6085660 linux-2.6_3.2.19-1.diff.gz
 85b8912bbd85980348b12db0392172b88ee0b9ec 192768 linux-support-3.2.0-2_3.2.19-1_all.deb
 e8fc2b418c7f443dea3a0624adff5629997f59d4 1173100 linux-patch-debian-3.2_3.2.19-1_all.deb
 2199047b5fcb9ac7755046cc47584d380ba50609 76846298 linux-source-3.2_3.2.19-1_all.deb
 e61a0ffa832a3ba530de0349dbfbfae7241768b3 6350078 linux-doc-3.2_3.2.19-1_all.deb
 8aab1a0b256c240f389a3bcee90e48790c522605 2911180 linux-manual-3.2_3.2.19-1_all.deb
Checksums-Sha256: 
 28005752e95e5522815e4358bb72dce0cd728caa80cf5ceac738686745af2bba 94462 linux-2.6_3.2.19-1.dsc
 af2a1bd2b1f64df2acfa748908b2a5d42e1e291244b61df9fc189afa906167a9 98479853 linux-2.6_3.2.19.orig.tar.gz
 02ea93af6f715e02c206f3c4fa2b1f92a205aa2587715af45b965443c8ff1463 6085660 linux-2.6_3.2.19-1.diff.gz
 49522c934f1faa69e22407541e5689f3ddd713086279bcaef778aaa0f9165f59 192768 linux-support-3.2.0-2_3.2.19-1_all.deb
 281ddbc12934ee9af2d20b570d9f068ee173ba74a6ae1e476cbd955a24b34b93 1173100 linux-patch-debian-3.2_3.2.19-1_all.deb
 6e0f66376ef4c50fc4d6edbc3ec652c56d48350caa11643cf5566b3688271e8e 76846298 linux-source-3.2_3.2.19-1_all.deb
 3bcb7007172df9f3da3963654602f43847c6abeab1e6d987b1921fed552a9ea2 6350078 linux-doc-3.2_3.2.19-1_all.deb
 9955eb1156c0916a8a33eeacc77026b075d5786f77e2e82485c56d3070e4468d 2911180 linux-manual-3.2_3.2.19-1_all.deb
Files: 
 7138d857bb0e4b542da407b994568783 94462 kernel optional linux-2.6_3.2.19-1.dsc
 826ad4dcdc74066fc1bac65d9f3596a5 98479853 kernel optional linux-2.6_3.2.19.orig.tar.gz
 64d3eeeffb0595fd96bad6d28b689524 6085660 kernel optional linux-2.6_3.2.19-1.diff.gz
 2ac8decbf2298d2227791916e4edc03b 192768 devel optional linux-support-3.2.0-2_3.2.19-1_all.deb
 858da6d4a41fad0ce876495527cdfa85 1173100 kernel optional linux-patch-debian-3.2_3.2.19-1_all.deb
 69619d961bc04ddb797db1d00f74f6a7 76846298 kernel optional linux-source-3.2_3.2.19-1_all.deb
 981e0d2f035b633c1518d48853b26f30 6350078 doc optional linux-doc-3.2_3.2.19-1_all.deb
 a39d9c999c1392858c3c16c49d9f2dfd 2911180 doc optional linux-manual-3.2_3.2.19-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT8jbnee/yOyVhhEJAQoIXA//fhyLVL/zSVWheHwrJo3+0IkXZB49iybc
ixUDlx+VK7VVExpkWg5NWHpRF8D1Pq+br4GJ/zvyREp+WPHwsGa+aCJgtohF31AA
lsw77s4WLwZq7vOPKWvNUCZecI3sqTweXCY98OSToTtXwKKE9g8pyrBFLtvWaHYq
6ayVSTF9oFmceNjqh34ogDU1wGYmmI0WIkpLPVti2YKZYhyeAGXoUUJryyuKNwvF
fs4sHjNDkJ/RbvuMTWGH3URMwJE+6S+HFl9qIvGgACKe1ObOMIUgb8iBdhnjbnnf
cl2UAZwR4zJQQvoFOjPPJ+Um65vU3bl7pSlkyPKKxOP0/ZZ2zDeqds6K1pL3Ka5s
a9QSpSUb+F3E11mzppcMKDENqN96OgpSjWr1ZuZrd5g1MELOURvAhZ0egtdMHrkK
3htq20/mgfkd7lnjSfCuVh6LfTK/FsLGXxhxXJb036H83w3B4rCAn57waNvOwKP3
9prSox3VkiXAceGUb1UnzVjJQWbtn11L5JAmVfK2iVy3LIXK8VVApFYI1NsRAseU
LUqqoFQEl8SVF66dLeiRBYP2QjYATKlM/lWnWxLy51dMLkYZdqnYtlRFuGXce2v+
FO3rzu9UML+Ojxjq4lnFGoabTxuColMA1HBpvefjiLnKOJLXCr1nJuGLFkomt67l
S+AWKEbDzDo=
=uJ1y
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#661151; Package linux-2.6. (Sun, 03 Jun 2012 07:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Jun 2012 07:51:11 GMT) Full text and rfc822 format available.

Message #83 received at 661151@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: John Johansen <john.johansen@canonical.com>, Kees Cook <kees@debian.org>
Cc: Ben Hutchings <ben@decadent.org.uk>, 661151@bugs.debian.org, micah anderson <micah@riseup.net>
Subject: Re: Bug#661151: [apparmor] Bug#661151: linux-2.6: lacks AppArmor kernel/userspace interface
Date: Sun, 03 Jun 2012 01:16:52 +0200
intrigeri wrote (31 May 2012 13:14:13 GMT) :
>> Looking back over the bug log, I see that wasn't requested, so I'm
>> only applying 'AppArmor: compatibility patch for v5 interface' now.

Unfortunately, the resulting kernel (linux-image-3.2.0-2-amd64
3.2.19-1), combined with the AppArmor userspace tools currently in sid
(2.7.103-2), displays worse behaviour than the previous one.

Loading a profile shipped with apparmor-profiles fails:

  $ sudo apparmor_parser -r /etc/apparmor.d/usr.sbin.avahi-daemon
  apparmor_parser: Unable to replace "/usr/sbin/avahi-daemon".  Profile doesn't conform to protocol
  zsh: exit 234   sudo apparmor_parser -r /etc/apparmor.d/usr.sbin.avahi-daemon

... as a result, usr.sbin.avahi-daemon does not show up in the
cache directory.

Another one fails differently:

  $ sudo apparmor_parser -r /etc/apparmor.d/usr.bin.chromium-browser 
  zsh: exit 185   sudo apparmor_parser -r /etc/apparmor.d/usr.bin.chromium-browser

... but is cached nevertheless:

  $ ls -l /etc/apparmor.d/cache/usr.bin.chromium-browser
  -rw------- 1 root root 251K juin   2 18:59 /etc/apparmor.d/cache/usr.bin.chromium-browser

Kernel log excerpt for this last attempt:

  type=1400 audit(1338678658.161:166): apparmor="STATUS" info="failed
  to unpack profile" error=-71 pid=21836 comm="apparmor_parser"
  name="/usr/lib/chromium-browser/chromium-browser" offset=171
  type=1400 audit(1338678658.161:167): apparmor="STATUS"
  operation="profile_replace" pid=21836 comm="apparmor_parser"
  audit(1338678658.165:168): apparmor="STATUS" info="failed to unpack
  profile" error=-71 pid=21836 comm="apparmor_parser"
  name="/usr/lib/chromium-browser/chromium-browser//browser_java"
  offset=166 type=1400 audit(1338678658.165:169): apparmor="STATUS"
  operation="profile_replace" pid=21836 comm="apparmor_parser"

In any case, neither the profiles that end up cached not the ones that
seemingly fail to load earlier are applied to processes. So, this is
a regression against the previous state of AppArmor support in Debian.

I'm unsure the kernel is at fault / the place where something must
be improved.

John, Kees, may you please check why the patch that was applied to
this Debian kernel could possibly expose such a bug?

I've seen similar old issues on Launchpad (e.g. LP#968956), but most
don't apply to the version of the userspace tools we ship in sid.




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 20:39:13 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 661151: 661153 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 11 Jun 2012 04:36:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jul 2012 07:43:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:47:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.